<?php

namespace App\Http\Controllers;

use App\Models\Newsletter;
use Illuminate\Http\Request;
use Yajra\DataTables\DataTables;

class NewsletterController extends Controller
{
    public function index()
    {
        if (request()->ajax()) {
            $news_letter = Newsletter::query();

            return DataTables::of($news_letter)
                ->addColumn('action', function ($newsletter) {
                    return '
                            <form action="' . route('newsletter.destroy', $newsletter->id) . '" method="POST" style="display: inline-block;">
                                ' . csrf_field() . '
                                ' . method_field('DELETE') . '
                                <button type="submit" class="text-red-500"><i class="text-4xl bx bx-trash"></i></button>
                            </form>
                           ';
                })
                ->rawColumns(['action'])
                ->make(true);
        }

        return view('admin.newsletter.index'); // Ensure this view exists
    }



    public function store(Request $request)
    {
        // Validate the request
        $request->validate([
            'email' => 'required|email',
        ]);

        // Create the news item
        Newsletter::create([
            'email' => $request->input('email'),
        ]);

        return redirect()->back()->with('success', 'Your email has been submitted successfully!');
    }

    public function destroy($id)
    {
        $newsletter = Newsletter::findOrFail($id);
        $newsletter->delete();

        return redirect()->back()->with('success', 'Message deleted successfully.');
    }
}
