<?php

namespace App\Http\Controllers;

use App\Models\Order;
use App\Models\Shipping;
use Illuminate\Http\Request;

class ShippingController extends Controller
{
    public function show($id)
    {
        $order = Order::findOrFail($id);
        return view('admin.shipping.create', compact('order'));
    }


    public function store(Request $request)
    {
        $request->validate([
            'order_id' => 'nullable|exists:order,id',
            'courier' => 'nullable|string',
            'date_of_shipping' => 'nullable|string',
            'shipping_fee' => 'nullable|string',
        ]);

        Shipping::updateOrCreate(
            ['order_id' =>  $request->input('order_id')],
            $request->only('courier', 'date_of_shipping', 'shipping_fee')
        );

        return redirect('admin/orders')->with('success', 'Shipping information updated successfully.');
    }
}
