<?php

namespace App\Http\Controllers;

use App\Models\Wishlist;
use Illuminate\Http\Request;

class WishlistController extends Controller
{
    public function store($product_id, $user_id, Request $request)
    {
        // Check if the product is already in the user's wishlist
        $existingWishlistItem = Wishlist::where('product_id', $product_id)
            ->where('user_id', $user_id)
            ->first();

        if ($existingWishlistItem) {


            return response()->json(['success' => true]);
        }

        // Create a new wishlist item
        Wishlist::create([
            'product_id' => $product_id,
            'user_id' => $user_id,
        ]);

        return response()->json(['success' => true]);
    }

    public function destroy($id)
    {
        $wishlist = Wishlist::findOrFail($id);
        $wishlist->delete();

        return redirect()->back()->with('success', 'Item removed from wishlist.');
    }
}
