<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BillingInformation extends Model
{
    use HasFactory;

    protected $table = 'billing_information';

    // Define the fillable attributes
    protected $fillable = [
        'user_id',
        'first_name',
        'last_name',
        'middle_name',
        'email',
        'phone_number',
        'street_address',
        'city',
        'state',
        'country',
        'zip_code',
        'featured',
        'is_default',
    ];

    // Define the relationship with the User model (assuming the user_id is the foreign key)
    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
