<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Order extends Model
{
    use HasFactory;

    protected $table = 'order';

    protected $fillable = [
        'billing_id',
        'notes',
        'total',
        'payment_method',
        'status',
        'transaction_id',
        'redeemed_points',
        'discount',
        'upload_prescription',
        'discount_proof'
    ];

    /**
     * Relationship with the billing information.
     */
    public function billingInformation()
    {
        return $this->belongsTo(BillingInformation::class, 'billing_id');
    }

    /**
     * Relationship with order details.
     */
    public function orderDetails()
    {
        return $this->hasMany(OrderDetail::class, 'order_id');
    }
    public function shipping()
    {
        return $this->hasOne(Shipping::class, 'order_id');
    }
}
