<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Product extends Model
{
    use HasFactory;

    protected $table = 'product';

    protected $fillable = [
        'category_id',
        'brand_id',
        'name',
        'price',
        'stock',
        'availability',
        'description',
        'featured',
        'shipping_and_returns',
    ];

    public function category()
    {
        return $this->belongsTo(Category::class);
    }

    public function brand()
    {
        return $this->belongsTo(Brand::class);
    }

    public function images()
    {
        return $this->hasMany(ProductImage::class);
    }

    public function orders()
    {
        return $this->hasMany(OrderDetail::class);
    }
    public function subscription()
    {
        return $this->hasMany(SubscriptionTransactionDetail::class);
    }
    public function wishlist()
    {
        return $this->hasMany(Wishlist::class);
    }
}
