<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SubscriptionTransaction extends Model
{
    use HasFactory;

    protected $table = 'subscription_transaction';

    // Define the fillable attributes
    protected $fillable = [
        'subscription_id',
        'total',
        'payment_status',
        'note',
        'transaction_id',
        'payment_method'
    ];

    // Define the relationship with Subscription
    public function subscription()
    {
        return $this->belongsTo(Subscription::class);
    }

    // Define the relationship with SubscriptionTransactionDetails
    public function details()
    {
        return $this->hasMany(SubscriptionTransactionDetail::class);
    }
}
