<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SubscriptionTransactionDetail extends Model
{
    use HasFactory;

    // Define the table associated with the model
    protected $table = 'subscription_transaction_details';

    // Define the fillable attributes
    protected $fillable = [
        'subscription_transaction_id',
        'product_id',
        'quantity',
        'subtotal'
    ];

    // Define the relationship with SubscriptionTransaction
    public function transaction()
    {
        return $this->belongsTo(SubscriptionTransaction::class);
    }

    // Define the relationship with Product
    public function product()
    {
        return $this->belongsTo(Product::class);
    }
}
