<x-app-layout>
    <div class="container max-w-screen-lg p-6 mx-auto bg-white rounded-lg shadow-lg">
        <h1 class="mb-4 text-2xl font-bold">Edit Banner</h1>

        <form action="{{ route('banners.update', $banner->id) }}" method="POST" enctype="multipart/form-data">
            @csrf
            @method('PUT')
            <div class="mb-4">
                <label for="title" class="block text-gray-700">Title:</label>
                <textarea required id="title" name="title"
                    class="w-full p-2 border border-gray-300 rounded">{{ $banner->title }}</textarea>
                @error('title')
                <span class="text-red-500">{{ $message }}</span>
                @enderror
            </div>

            <div class="mb-4">
                <label for="subtitle" class="block text-gray-700">Sub Title:</label>
                <textarea id="subtitle" name="subtitle" class="w-full p-2 border border-gray-300 rounded"
                    value="">{{ $banner->subtitle }}</textarea>
                @error('subtitle')
                <span class="text-red-500">{{ $message }}</span>
                @enderror
            </div>
            <div class="mb-4">
                <label for="banner_type" class="block text-gray-700">Banner Type:</label>
                <select id="banner_type" name="banner_type" class="w-full p-2 border border-gray-300 rounded">
                    <option value="" disabled>Select Banner Type</option>
                    <option value="Home Banner" {{ $banner->banner_type === 'Home Banner' ? 'selected' : '' }}>Home Banner</option>
                    <option value="Side Banner" {{ $banner->banner_type === 'Side Banner' ? 'selected' : '' }}>Side Banner</option>
                    <option value="Upper Banner" {{ $banner->banner_type === 'Upper Banner' ? 'selected' : '' }}>Upper Banner</option>
                </select>
                @error('banner_type')
                <span class="text-red-500">{{ $message }}</span>
                @enderror
            </div>

            <div class="mb-4">
                <label for="image" class="block text-gray-700">Image (optional):</label>
                <input type="file" id="image" name="image" class="w-full p-2 border border-gray-300 rounded">
                @error('image')
                <span class="text-red-500">{{ $message }}</span>
                @enderror

                @if ($banner->image)
                <div class="mt-2">
                    <label class="block text-gray-700">Current Image:</label>
                    <img src="{{ asset($banner->image) }}" alt="Current Image"
                        class="w-full h-auto max-w-xs border border-gray-300 rounded">
                </div>
                @endif
            </div>

            <button type="submit" class="px-12 py-2 text-white bg-black rounded-full">Update</button>
        </form>
    </div>

    <script src="https://cdn.ckeditor.com/4.16.0/standard/ckeditor.js"></script>

    <script>
        CKEDITOR.replace('title');
        CKEDITOR.replace('subtitle');
    </script>
</x-app-layout>