<x-app-layout>
    <div class="container max-w-lg p-6 mx-auto bg-white rounded-lg shadow-lg">
        <h1 class="mb-4 text-2xl font-bold">Create Blogs</h1>

        <form action="{{ route('blogs.store') }}" method="POST" enctype="multipart/form-data">
            @csrf

            <div class="mb-4">
                <label for="category_name" class="block text-gray-700">Category:</label>
                
                <!-- Dropdown for selecting category -->
                <select id="category_name" name="category_name" class="w-full p-2 border border-gray-300 rounded" required>
                    <option value="">Select Category</option>
                    @foreach($category as $categories)
                    <option value="{{$categories->id}}">{{$categories->name}}</option>
                    @endforeach
                    <option value="add_new">Add New Category</option>
                </select>
            
                <!-- Input field for new category, initially hidden -->
                <input type="text" id="new_category" name="new_category" class="w-full p-2 border border-gray-300 rounded mt-2 hidden" placeholder="Enter new category">
            
                @error('category_name')
                <span class="text-red-500">{{ $message }}</span>
                @enderror
            </div>
            
            <script>
                // Show the new category input field when "Add New Category" is selected
                document.getElementById('category_name').addEventListener('change', function() {
                    var newCategoryInput = document.getElementById('new_category');
                    if (this.value === 'add_new') {
                        newCategoryInput.classList.remove('hidden');  // Show the input
                        newCategoryInput.setAttribute('required', 'required');  // Make it required
                    } else {
                        newCategoryInput.classList.add('hidden');  // Hide the input
                        newCategoryInput.removeAttribute('required');  // Remove the required attribute
                    }
                });
            </script>


            <div class="mb-4">
                <label for="title" class="block text-gray-700">Title:</label>
                <input type="text" required id="title" name="title"
                    class="w-full p-2 border border-gray-300 rounded">
                @error('title')
                <span class="text-red-500">{{ $message }}</span>
                @enderror
            </div>

            <div class="mb-4">
                <label for="description" class="block text-gray-700">Description:</label>
                <textarea id="description" name="description" class="w-full p-2 border border-gray-300 rounded"></textarea>
                @error('description')
                <span class="text-red-500">{{ $message }}</span>
                @enderror
            </div>

            <div class="mb-4">
                <label for="image" class="block text-gray-700">Image (optional):</label>
                <input type="file" id="image" name="image"
                    accept="image/webp,image/jpg,image/jpeg,image/png,image/gif"
                    class="w-full p-2 border border-gray-300 rounded">
                @error('image')
                <span class="text-red-500">{{ $message }}</span>
                @enderror
            </div>

            <button type="submit" class="px-12 py-2 text-white bg-black rounded-full">Submit</button>
        </form>
    </div>

    <script src="https://cdn.ckeditor.com/4.16.0/standard/ckeditor.js"></script>

    <script>
        CKEDITOR.replace('description');
    </script>
</x-app-layout>