<x-app-layout>
    <div class="container p-6 mx-auto">
        <h1 class="mb-6 text-3xl font-extrabold text-gray-800">Orders</h1>

        <section class="p-6 bg-white shadow-md rounded-xl">
            <div class="space-y-4">
                <!-- Order Details -->
                <div class="pb-4 border-b">
                    <h2 class="text-lg font-semibold text-gray-700">Order Details</h2>
                    <p class="text-gray-600"><strong>Order ID:</strong> {{$orders->id}}</p>
                    <p class="text-gray-600"><strong>Order Date:</strong> {{ $orders->created_at->format('F d, Y') }}</p>
                    <p class="text-gray-600"><strong>Order Status:</strong> {{$orders->status}}</p>
                    <p class="text-gray-600"><strong>Payment Method:</strong> {{$orders->payment_method}}</p>
                    <p class="text-gray-600"><strong>Uploaded Prescription:</strong> <img class="object-cover w-16 rounded-md" src="{{asset($orders->upload_prescription)}}" alt=""></p>
                    <p class="text-gray-600"><strong>Discount Proof:</strong> <img class="object-cover w-16 rounded-md" src="{{asset($orders->discount_proof)}}" alt=""></p>
                </div>

                <div class="pb-4 border-b">
                    <h2 class="text-lg font-semibold text-gray-700">Shipping Details</h2>
                    <p class="text-gray-600">
                        <strong>Courier:</strong> {{$orders->shipping ? $orders->shipping->courier : "No courier yet"}}
                    </p>
                    <p class="text-gray-600">
                        <strong>Shipping Fee:</strong> {{$orders->shipping ? $orders->shipping->shipping_fee : "No shipping fee yet"}}
                    </p>
                </div>

                <!-- Shipping Address -->
                <div class="pb-4 border-b">
                    <h2 class="text-lg font-semibold text-gray-700">Shipping Address</h2>
                    <p class="text-gray-600">
                        {{$orders->billingInformation->first_name}} {{$orders->billingInformation->middle_name}} {{$orders->billingInformation->last_name}}<br>
                        {{$orders->billingInformation->email}}<br>
                        {{$orders->billingInformation->phone_number}}<br>
                        {{$orders->billingInformation->street_address}}<br>
                        {{$orders->billingInformation->city}}, {{$orders->billingInformation->state}}<br>
                        {{$orders->billingInformation->country}} - {{$orders->billingInformation->zip_code}}
                    </p>
                </div>

                <!-- Items in Order -->
                <div>
                    <h2 class="text-lg font-semibold text-gray-700">Items in Order</h2>
                    <ul class="space-y-4">
                        @foreach ($orders->orderDetails as $items)
                        <li class="flex flex-wrap items-center gap-6 p-4 border rounded-md bg-gray-50">
                            <img class="object-cover w-16 h-16 rounded-md" src="{{asset($items->product->images->first()->image)}}" alt="{{$items->product->name}}">
                            <div class="flex flex-col text-gray-700">
                                <span class="font-medium">{{$items->product->name}}</span>
                                <span>Price: <span class="font-semibold">₱{{$items->product->price}}</span></span>
                                <span>Quantity: <span class="font-semibold">{{$items->quantity}}</span></span>
                                <span>Subtotal: <span class="font-semibold">₱{{$items->subtotal}}</span></span>
                            </div>
                        </li>
                        @endforeach
                    </ul>
                </div>
            </div>
        </section>
    </div>
</x-app-layout>