<!-- contact_us.blade.php -->
@extends('layouts.main-app')

@section('title', 'Blogs')

@section('content')

@include('layouts.navbar')

<!--<div class="relative">-->
<!--    <img class="absolute inset-0 w-full h-full" src="{{asset('images/about_us/img-banner.png')}}" alt="">-->
<!--    <div class="relative text-center py-14">-->
<!--        <h1 class="text-xl text-white">Home - Blogs</h1>-->
<!--    </div>-->
<!--</div>-->


<div class="bg-gray-100">
    <div class="container max-w-screen-xl px-4 py-12 mx-auto">
        <div class="grid grid-cols-1 gap-4 overflow-hidden lg:grid-cols-3">
            <div data-aos="fade-right"
                data-aos-duration="1500">
                @include('layouts.blogs_filter')
            </div>
            <div data-aos="fade-left"
                data-aos-duration="1500" class="space-y-4 lg:col-span-2">
                <div class="grid grid-cols-1 gap-8 md:grid-cols-2">
                    @foreach ($allblogs->sortByDesc('created_at') as $blog)
                    <a href="{{url('/blogs_details', $blog->id)}}">
                        <div class="space-y-4">
                            <img class="w-full h-[20rem] object-cover rounded-lg" src="{{asset($blog->image)}}" alt="">
                            <div>
                                <h1>{{ $blog->created_at->format('F d, Y') }}</h1>
                                <h1 class="text-xl font-bold">{{$blog->title}}</h1>
                            </div>
                            <button class="text-[#cf000f] text-sm">Read More</button>
                        </div>
                    </a>
                    @endforeach
                </div>
                <div class="flex items-center justify-end my-4 space-x-8">
                    <div>
                        @if ($allblogs->onFirstPage())
                        <button id="prev-button" class="w-8 h-8 text-white rounded-full bg-[#cf000f]" disabled><i class='bx bx-chevron-left'></i></button>
                        @else
                        <a href="{{ $allblogs->previousPageUrl() }}">
                            <button id="prev-button" class="w-8 h-8 text-white rounded-full bg-[#cf000f]"><i class='bx bx-chevron-left'></i></button>
                        </a>
                        @endif
                    </div>
                    <div class="flex flex-wrap gap-2">
                        @foreach ($allblogs->getUrlRange(1, $allblogs->lastPage()) as $page => $url)
                        <a href="{{ $url }}">
                            <button class="w-8 h-8 text-sm bg-white rounded-full {{ $page == $allblogs->currentPage() ? 'bg-red-600 text-white' : '' }}">
                                {{ $page }}
                            </button>
                        </a>
                        @endforeach
                    </div>
                    <div>
                        @if ($allblogs->hasMorePages())
                        <a href="{{ $allblogs->nextPageUrl() }}">
                            <button id="next-button" class="w-8 h-8 text-white rounded-full bg-[#cf000f]"><i class='bx bx-chevron-right'></i></button>
                        </a>
                        @else
                        <button id="next-button" class="w-8 h-8 text-white rounded-full bg-[#cf000f]" disabled><i class='bx bx-chevron-right'></i></button>
                        @endif
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>



@include('layouts.footer')
@endsection