<!-- contact_us.blade.php -->
@extends('layouts.main-app')

@section('title', 'Cart')

@section('content')

@include('layouts.navbar')

<!--<div class="relative">-->
<!--    <img class="absolute inset-0 w-full h-full" src="{{asset('images/about_us/img-banner.png')}}" alt="">-->
<!--    <div class="relative text-center py-14">-->
<!--        <h1 class="text-xl text-white">Home - Cart</h1>-->
<!--    </div>-->
<!--</div>-->
@if(session('success'))
<div class="p-3 mb-4 text-green-700 bg-green-100 rounded">
    {{ session('success') }}
</div>
@endif

<div class="bg-gray-100">
    <div class="container max-w-screen-xl px-4 py-8 mx-auto">
        <form action="{{ route('checkout.save') }}" enctype="multipart/form-data" method="POST" onsubmit="return validateSelection()">
            @csrf
            <!-- Hidden input for redeemed points -->
            <input type="hidden" name="redeemed_points" id="redeemed_points" value="0">
            <div id="error-message" class="hidden mt-2 text-sm text-red-500"></div>

            <div class="grid grid-cols-1 gap-4 lg:grid-cols-3">
                <div class="space-y-4 md:col-span-2">
                    <div class="overflow-x-auto">
                        <table class="w-full min-w-full text-sm text-left text-gray-500 rtl:text-right">
                            <thead class="text-sm text-[#cf000f] bg-gray-50">
                                <tr>
                                    <th scope="col" class="p-4">
                                        <!-- Checkbox Column (Optional) -->
                                    </th>
                                    <th scope="col" class="px-6 py-3"></th>
                                    <th scope="col" class="px-6 py-3 text-center">Product</th>
                                    <th scope="col" class="px-6 py-3">Price</th>
                                    <th scope="col" class="px-6 py-3">Quantity</th>
                                    <th scope="col" class="px-6 py-3">Subtotal</th>
                                    <th scope="col" class="px-6 py-3"></th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($products as $product)
                                <tr class="bg-white border-b hover:bg-gray-50">
                                    <td class="w-4 p-4">
                                        <div class="flex items-center">
                                            <input type="checkbox" name="products[{{ $product->id }}][selected]" value="1" class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 rounded">
                                        </div>
                                    </td>
                                    <td>
                                        <div class="w-40 h-full">
                                            <img class="object-cover w-full h-full p-2" src="{{ asset($product->images->first()->image) }}" alt="{{ $product->name }}">
                                        </div>

                                    </td>
                                    <td class="px-6 py-4 font-medium text-gray-900">{{ $product->name }}</td>
                                    <td class="px-6 py-4">₱{{ number_format($product->price, 2) }}</td>
                                    <td class="px-6 py-4">
                                        <div class="flex items-center justify-center border border-gray-700 rounded">
                                            <button type="button" onclick="updateQuantity({{ $product->id }}, {{ $product->price }}, 'decrement')" class="px-2 py-1 text-xl text-gray-500 rounded-l ">-</button>
                                            <span id="counter-{{ $product->id }}" class="w-8 text-center ">{{ $cart[$product->id] }}</span>
                                            <button type="button" onclick="updateQuantity({{ $product->id }}, {{ $product->price }}, 'increment')" class="px-2 py-1 text-xl text-gray-500 rounded-r ">+</button>
                                            <input type="hidden" name="products[{{ $product->id }}][quantity]" id="quantity-input-{{ $product->id }}" value="{{ $cart[$product->id] }}">
                                        </div>
                                    </td>
                                    <td class="px-6 py-4">₱<span id="subtotal-{{ $product->id }}">{{ number_format($product->price * $cart[$product->id], 2) }}</span></td>
                                    <td class="px-6 py-4">
                                        <a href="{{ route('cart.remove', $product->id) }}" class="text-xl font-medium text-black">
                                            <i class='bx bx-x'></i>
                                        </a>
                                    </td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>

                    <div>
                        <a href="{{ url('shop') }}">
                            <button type="button" class="px-6 py-2 border border-black rounded-full">Continue Shopping</button>
                        </a>
                    </div>
                </div>
                <div class="space-y-4">
                    <div class="p-8 space-y-4 bg-white rounded-xl">
                        <div class="flex items-center justify-between">
                            <div>
                                <h1>Upload Prescription</h1>
                            </div>
                        </div>

                        <div class="w-full rounded-lg">
                            <div class="flex">
                                <label for="upload_prescription" class="border border-[#cf000f] bg-white p-2 w-full rounded-full text-sm text-[#cf000f] font-semibold text-center cursor-pointer">Upload Prescription</label>
                                <input type="file" id="upload_prescription" name="upload_prescription" accept="image/*" class="hidden" onchange="handleFileUpload(event, 'prescription-message')">
                            </div>
                            <p id="prescription-message" class="mt-2 text-sm text-red-500"></p>
                        </div>
                    </div>

                    <!-- Redeem Points Section -->
                    <div class="p-8 space-y-4 bg-white rounded-xl">
                        <div class="flex items-center justify-between">
                            <div>
                                <h1>DISCOUNTS</h1>
                            </div>
                        </div>

                        <div class="w-full rounded-lg">
                            <div class="flex">
                                <input type="text" name="voucher_code" id="voucher_code" class="w-full bg-white pl-2 text-sm rounded-l-full outline-0 border-[#cf000f] border" placeholder="Enter voucher code">
                                <button type="button" onclick="applyVoucher()" class="bg-[#cf000f] p-2 rounded-r-full text-sm text-white font-semibold">Apply</button>
                            </div>
                            <p id="voucher-message" class="mt-2 text-sm text-red-500"></p>
                        </div>
                        <hr class="border border-gray-400">
                        <div class="flex items-center justify-between text-xs">
                            <div>
                                <h1 class="text-gray-500">for special discounts</h1>
                            </div>
                            <div>
                                <label for="discount_proof" class="text-[#cf000f] underline font-semibold cursor-pointer">Upload Proof</label>
                                <input type="file" id="discount_proof" name="discount_proof" accept="image/*" class="hidden" onchange="handleFileUpload(event, 'voucher-message')">
                            </div>
                        </div>
                    </div>

                    <script>
                        function handleFileUpload(event, messageId) {
                            const file = event.target.files[0];
                            const messageElement = document.getElementById(messageId);

                            if (file) {
                                // Display a message or handle the file upload process
                                messageElement.textContent = `File selected: ${file.name}`;
                                messageElement.classList.remove('text-red-500');
                                messageElement.classList.add('text-green-500');

                                // If needed, you can add an image preview or upload logic here
                                // Example: Preview image (optional)
                                // const reader = new FileReader();
                                // reader.onload = (e) => {
                                //     const imgPreview = document.createElement('img');
                                //     imgPreview.src = e.target.result;
                                //     imgPreview.style.maxWidth = '100%';
                                //     messageElement.appendChild(imgPreview);
                                // };
                                // reader.readAsDataURL(file);
                            } else {
                                messageElement.textContent = 'No file selected.';
                                messageElement.classList.remove('text-green-500');
                                messageElement.classList.add('text-red-500');
                            }
                        }
                    </script>

                    <!-- Redeem Points Section -->
                    <div class="p-8 space-y-4 bg-white rounded-xl">
                        <div class="flex items-center justify-between">
                            @if(Auth::check()) <!-- Check if the user is authenticated -->
                            <h1>REDEEM POINTS : <span class="text-[#cf000f]"> {{ number_format(Auth::user()->redeem_balance, 0) }}</span></h1>
                            @else
                            <h1>REDEEM POINTS : <span class="text-[#cf000f]">0</span></h1>
                            @endif
                        </div>

                        <div class="w-full">
                            <div class="w-full rounded-lg">
                                <div class="flex">
                                    @if(Auth::check()) <!-- Check if the user is authenticated -->
                                    <div class="flex flex-col w-full">
                                        <div class="flex w-full">
                                            <input
                                                type="number"
                                                min="0"
                                                max="{{ Auth::user()->redeem_balance }}"
                                                class="w-full bg-white pl-2 text-sm rounded-l-full outline-0 border-[#cf000f] border"
                                                placeholder="Enter the points to redeem"
                                                id="redeem_input"
                                                oninput="validateRedeemInput(this)" />
                                            <button
                                                type="button"
                                                onclick="redeemPoints()"
                                                class="bg-[#cf000f] p-2 rounded-r-full text-sm text-white font-semibold">Redeem</button>
                                        </div>
                                        <div>
                                            <p id="redeem-message" class="mt-2 text-sm text-red-500"></p>
                                        </div>
                                    </div>
                                    @else

                                    <input
                                        type="number"
                                        min="0"
                                        class="w-full bg-white pl-2 text-sm rounded-l-full outline-0 border-[#cf000f] border"
                                        placeholder="You must be logged in"
                                        disabled />
                                    <button
                                        type="button"
                                        class="bg-[#cf000f] p-2 rounded-r-full text-sm text-white font-semibold"
                                        disabled>Redeem</button>
                                    @endif
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- Order Summary -->
                    <div class="p-8 space-y-4 bg-white rounded-xl">
                        <h1 class="font-bold">ORDER SUMMARY</h1>
                        @php
                        $subtotal = 0;
                        foreach ($products as $product) {
                        $subtotal += $product->price * $cart[$product->id];
                        }
                        @endphp
                        <div class="flex items-center justify-between mt-4">
                            <h1 class="font-bold">Subtotal</h1>
                            <p>₱<span id="order-subtotal">{{ number_format($subtotal, 2) }}</span></p>
                        </div>
                        <hr>
                        <div class="flex items-center justify-between mt-2">
                            <h1 class="">Discounts</h1>
                            <p>-₱<span id="order-discounts">0.00</span></p>
                        </div>
                        <div class="flex items-center justify-between mt-2">
                            <h1 class="">Redeemed Points</h1>
                            <p>-₱<span id="order-redeemed-points">0.00</span></p>
                        </div>
                        <hr>
                        <div class="flex items-center justify-between mt-2">
                            <h1 class="font-bold">Estimated Total</h1>
                            <p>₱<span id="estimated-total">{{ number_format($subtotal, 2) }}</span></p>
                        </div>
                        <div>
                            <button type="submit" class="w-full p-2 text-white bg-[#cf000f] rounded-full">Proceed to Checkout</button>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>

<script>
    function validateSelection() {
        const checkboxes = document.querySelectorAll('input[type="checkbox"]:checked');
        const errorMessage = document.getElementById('error-message');

        if (checkboxes.length === 0) {
            // Show error message
            errorMessage.textContent = 'Please select at least one product to proceed to checkout.';
            errorMessage.classList.remove('hidden'); // Show the error message
            return false; // Prevent form submission
        }

        // Hide error message if products are selected
        errorMessage.classList.add('hidden');
        return true; // Allow form submission
    }

    function updateQuantity(productId, productPrice, action) {
        let counter = document.getElementById(`counter-${productId}`);
        let subtotalDisplay = document.getElementById(`subtotal-${productId}`);
        let quantityInput = document.getElementById(`quantity-input-${productId}`);
        let quantity = parseInt(counter.textContent);

        // Update the quantity based on the action
        if (action === 'increment') {
            quantity++;
        } else if (action === 'decrement' && quantity > 1) {
            quantity--;
        }

        // Update the displayed quantity
        counter.textContent = quantity;

        // Update the hidden input value
        quantityInput.value = quantity;

        // Calculate and update the new subtotal
        let newSubtotal = (quantity * productPrice).toFixed(2);
        subtotalDisplay.textContent = newSubtotal;

        // Update the order subtotal
        updateOrderSubtotal();
    }

    function updateOrderSubtotal() {
        const subtotalElements = document.querySelectorAll('[id^="subtotal-"]');
        let subtotal = 0;
        subtotalElements.forEach(element => {
            subtotal += parseFloat(element.textContent.replace(/,/g, ''));
        });
        document.getElementById('order-subtotal').innerText = subtotal.toFixed(2);

        // Recalculate estimated total based on redeemed points
        const redeemedPoints = parseFloat(document.getElementById('redeemed_points').value);
        const estimatedTotal = subtotal - redeemedPoints;
        document.getElementById('estimated-total').innerText = estimatedTotal.toFixed(2);
    }

    function updateTotal() {
        const subtotal = parseFloat(document.getElementById('order-subtotal').innerText.replace(/,/g, ''));
        const redeemPointsDisplay = parseFloat(document.getElementById('order-redeemed-points').innerText || 0);
        const orderDiscountsDisplay = parseFloat(document.getElementById('order-discounts').innerText || 0);
        const estimatedTotalDisplay = document.getElementById('estimated-total');

        // Calculate the estimated total
        const estimatedTotal = subtotal - redeemPointsDisplay - orderDiscountsDisplay;

        // Update the estimated total display
        estimatedTotalDisplay.innerText = Math.max(0, estimatedTotal).toFixed(2); // Ensure the total is not negative
    }

    function validateRedeemInput(input) {
        const maxPoints = parseFloat(input.max);
        let value = parseFloat(input.value);
        const redeemMessage = document.getElementById('redeem-message');
        redeemMessage.innerText = "";


        if (isNaN(value) || value < 0) {
            input.value = ''; // Reset invalid input
            return;
        }

        if (value > maxPoints) {
            input.value = maxPoints; // Set to the maximum value
            redeemMessage.innerText = 'You cannot exceed your available redeem points.';
        }
    }

    function redeemPoints() {
        const redeemInput = document.getElementById('redeem_input');
        const redeemPointsDisplay = document.getElementById('order-redeemed-points');
        const redeemBalance = parseFloat(redeemInput.max); // Using max as the balance
        const redeemedPointsField = document.getElementById('redeemed_points');
        const subtotal = parseFloat(document.getElementById('order-subtotal').innerText.replace(/,/g, ''));
        const redeemMessage = document.getElementById('redeem-message');

        // Clear previous error message
        redeemMessage.innerText = "";

        let pointsToRedeem = parseFloat(redeemInput.value);

        if (isNaN(pointsToRedeem) || pointsToRedeem < 0 || pointsToRedeem > redeemBalance) {
            redeemMessage.innerText = 'Please enter a valid number of points to redeem.';
            return;
        }

        if (pointsToRedeem > subtotal) {
            redeemMessage.innerText = 'Redeemed amount cannot exceed the subtotal.';
            return;
        }

        // Assuming 1 point = 1 PHP for simplicity
        let redeemedAmount = pointsToRedeem;

        // Update the redeemed points display and hidden input
        redeemPointsDisplay.innerText = redeemedAmount.toFixed(2);
        redeemedPointsField.value = pointsToRedeem;

        // Update the total
        updateTotal();
    }


    function applyVoucher() {
        const voucherCode = document.getElementById('voucher_code').value.trim();
        const subtotal = parseFloat(document.getElementById('order-subtotal').innerText.replace(/,/g, ''));
        const voucherMessage = document.getElementById('voucher-message');
        const orderDiscountsDisplay = document.getElementById('order-discounts');

        // Reset voucher message
        voucherMessage.textContent = '';

        if (!voucherCode) {
            voucherMessage.textContent = 'Please enter a voucher code.';
            return;
        }

        // AJAX request to validate the voucher
        fetch('{{ route("validate.voucher") }}', {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json',
                    'X-CSRF-TOKEN': '{{ csrf_token() }}',
                },
                body: JSON.stringify({
                    voucher_code: voucherCode
                }),
            })
            .then(response => response.json())
            .then(data => {
                if (data.success) {
                    let discount = 0;

                    // Calculate the discount based on the voucher type
                    if (data.voucher.discount_type === 'percentage') {
                        discount = (subtotal * data.voucher.discount_value / 100);
                    } else if (data.voucher.discount_type === 'fixed_amount') {
                        discount = Math.min(subtotal, data.voucher.discount_value);
                    }

                    // Update the discounts display
                    orderDiscountsDisplay.innerText = discount.toFixed(2);

                    // Show success message
                    voucherMessage.textContent = 'Voucher applied successfully!';
                    voucherMessage.classList.remove('text-red-500');
                    voucherMessage.classList.add('text-green-500');

                    // Update the total
                    updateTotal();
                } else {
                    voucherMessage.textContent = data.message || 'Invalid voucher code.';
                    voucherMessage.classList.add('text-red-500');
                }
            })
            .catch(error => {
                console.error('Error:', error);
                voucherMessage.textContent = 'An error occurred. Please try again.';
            });
    }
</script>

@include('layouts.footer')
@endsection