<!-- contact_us.blade.php -->
@extends('layouts.main-app')

@section('title', 'Contact Us')

@section('content')

@include('layouts.navbar')

<!--<div class="relative">-->
<!--    <img class="absolute inset-0 w-full h-full" src="{{asset('images/about_us/img-banner.png')}}" alt="">-->
<!--    <div class="relative text-center py-14">-->
<!--        <h1 class="text-xl text-white">Home - Contact Us</h1>-->
<!--    </div>-->
<!--</div>-->

<div class="bg-gray-100">
    <div class="container max-w-screen-xl px-4 py-12 mx-auto space-y-8">
        <div class="grid grid-cols-1 gap-8 overflow-hidden md:grid-cols-3">
            <div data-aos="fade-right"
                data-aos-duration="1500" class="md:col-span-2">
                <h1 class="text-4xl font-bold">Get in Touch with Us</h1>
                <p>If you have concerns, questions or suggestions on our product offerings/ availability and promo deals / offers, please don't hesitate to reach us </p>

                <div class="space-y-2 font-bold">
                    <h1 class=" text-[#cf000f] text-xl">CONTACT DETAILS</h1>
                    <div class="flex flex-wrap items-center space-x-4 ">
                        <img src="{{asset('images/contact_us/icon-phone.png')}}" alt="">
                        <h1>Mobile Number : </h1>
                        <span class="text-[#cf000f]">0998 4848 170</span>
                    </div>
                    <div class="flex flex-wrap items-center space-x-4 ">
                        <img src="{{asset('images/contact_us/icon-location.png')}}" alt="">
                        <h1>Email Address : </h1>
                        <span class="text-[#cf000f]">sales@gardosedrugstore.com <br> gardosedrugstore@gmail.com</span>
                    </div>
                </div>
                <hr class="border-[#cf000f] my-8">
                <p>You may also reach us for consumer feedback, customer experience and pharmacy counseling needs</p>
                <div class="space-y-2 font-bold">
                    <h1 class=" text-[#cf000f] text-xl">CONTACT DETAILS</h1>
                    <div class="flex flex-wrap items-center space-x-4">
                        <img src="{{asset('images/contact_us/icon-phone.png')}}" alt="">
                        <h1>Mobile Number : </h1>
                        <span class="text-[#cf000f]">0908 0849 935</span>
                    </div>
                    <div class="flex flex-wrap items-center space-x-4">
                        <img src="{{asset('images/contact_us/icon-location.png')}}" alt="">
                        <h1>Email Address : </h1>
                        <span class="text-[#cf000f]">staysafe@gardosedrugstore.com <br> pharmacist@gardosedrugstore.com</span>
                    </div>
                </div>
                <hr class="border-[#cf000f] my-8">
            </div>
            <form data-aos="fade-left"
                data-aos-duration="1500" action="{{ route('save.form') }}" method="POST">
                @csrf
                <div class="p-8 space-y-4 bg-white">
                    <h1 class="font-bold text-[#cf000f]">CONTACT FORM</h1>


                    <div>
                        <label for="full_name">Full Name</label>
                        <input type="text" name="full_name" id="full_name" value="{{old('full_name')}}" class="w-full h-full rounded-full border border-[#cf000f] p-2" placeholder="Enter your Full Name">
                        @error('full_name')
                        <span class="text-red-500"> {{ $message }} </span>
                        @enderror
                    </div>
                    <div>
                        <label for="email">Email Address</label>
                        <input type="email" name="email" id="email" value="{{old('email')}}" class="w-full h-full rounded-full border border-[#cf000f] p-2" placeholder="Enter your email address">
                        @error('email')
                        <span class="text-red-500"> {{ $message }} </span>
                        @enderror
                    </div>
                    <!--<div>-->
                    <!--    <label for="mobile_number">Mobile Number</label>-->
                    <!--    <input type="number" name="mobile_number" id="mobile_number" value="{{old('mobile')}}" class="w-full h-full rounded-full border border-[#cf000f] p-2" placeholder="Enter your Mobile Number">-->
                    <!--    @error('mobile_number')-->
                    <!--    <span class="text-red-500"> {{ $message }} </span>-->
                    <!--    @enderror-->
                    <!--</div>-->
                    <div>
                        <label for="subject">Subject</label>
                        <input type="text" name="subject" id="subject" value="{{old('subject')}}" class="w-full h-full rounded-full border border-[#cf000f] p-2" placeholder="Enter Subject">
                        @error('subject')
                        <span class="text-red-500"> {{ $message }} </span>
                        @enderror
                    </div>
                    <div>
                        <label for="message">Message</label>
                        <textarea name="message" id="message" class="w-full h-full rounded-xl border border-[#cf000f] p-2" placeholder="Enter your message">{{old('message')}}</textarea>
                        @error('message')
                        <span class="text-red-500"> {{ $message }} </span>
                        @enderror
                    </div>
                    <div>
                        <button type="submit" class="w-full bg-[#cf000f] text-white rounded-full py-2">Submit</button>
                    </div>


                </div>
            </form>
        </div>

        <div data-aos="fade-up"
            data-aos-duration="1500" class="flex flex-col justify-center p-4 bg-white md:space-x-20 md:flex-row">
            <div>
                <h1 class="text-[#cf000f] font-bold text-lg pl-4">FOLLOW OUR SOCIALS</h1>
                <div class="flex flex-wrap items-center ">
                    <img src="{{asset('images/contact_us/icon-fb.png')}}" alt="">

                    <img src="{{asset('images/contact_us/icon-x.png')}}" alt="">

                    <img src="{{asset('images/contact_us/icon-whatsapp.png')}}" alt="">
                </div>
            </div>
            <div>
                <div class="space-y-2 font-bold">
                    <h1 class=" text-[#cf000f] text-xl">OPERATIONAL HOURS</h1>
                    <div class="flex flex-wrap items-center space-x-4">
                        <i class='bx bx-time'></i>
                        <h1>Monday - Friday : </h1>
                        <span class="text-[#cf000f]">6:30AM - 8:30PM</span>
                    </div>
                    <div class="flex flex-wrap items-center space-x-4">
                        <i class='bx bx-time'></i>
                        <h1>Saturday - Sunday : </h1>
                        <span class="text-[#cf000f]">11:00AM - 3:30PM </span>
                    </div>
                </div>
            </div>
        </div>

        <div data-aos="fade-up"
            data-aos-duration="1500" class="space-y-4">
            <div class="flex flex-wrap items-start space-x-4 font-bold">
                <img src="{{asset('images/contact_us/icon-location.png')}}" alt="">
                <h1> Address : </h1>
                <span class="text-[#cf000f]">P7 Poblacion, Sta.Josefa, Agusan del Sur, 8512</span>
            </div>
            <iframe class="w-full" src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3951.124015422026!2d126.02385007571868!3d7.9861270044393065!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x32fc2d44cb4ef94d%3A0x9b7f914246c3df9b!2sGardose%20Drugstore!5e0!3m2!1sen!2sph!4v1730704470739!5m2!1sen!2sph" height="450" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
        </div>
    </div>
</div>
@include('layouts.footer')
@endsection