<!-- contact_us.blade.php -->
@extends('layouts.main-app')

@section('title', 'Forgot Password')

@section('content')

@include('layouts.navbar')

<form method="POST" action="{{ route('send.otp') }}">
    @csrf
    <div class="bg-gray-100">
        <div class="container max-w-screen-md px-4 py-8 mx-auto">
            <h1 class="text-[#cf000f] font-bold text-center pb-8 text-2xl">Forgot Password</h1>
            @if ($errors->any())
            <div class="p-4 mb-4 text-white bg-red-500 rounded">
                <ul>
                    @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
            @endif
            <div class="flex flex-col justify-between bg-white md:flex-row rounded-3xl">
                <div class="flex flex-col p-8 space-y-2">
                    <h1 class="pb-8 font-bold text-black">Enter your email, and we'll send you a reset code.</h1>
                    <div>
                        <label for="email">Email Address </label>
                        <input type="email" name="email" id="email" class="border border-[#cf000f] w-full rounded-full p-2" placeholder="Enter email">
                    </div>
                    <div>
                        <button type="submit" class="bg-[#cf000f] text-white w-full rounded-full py-2" onclick="toggleModal()">Send OTP</button>
                    </div>
                </div>
                <div>
                    <img class="object-cover w-full h-full rounded-r-2xl" src="{{asset('images/shop/img-login.png')}}" alt="">
                </div>
            </div>
        </div>
    </div>
</form>



@include('layouts.footer')
@endsection