<div class="space-y-4">
    <div class="p-4 space-y-4 bg-white">

        <h1 class="font-semibold text-[#cf000f]">FILTER BY</h1>
        <div>
            <form method="GET" action="{{ url('blogs') }}">
                <label for="category">Category</label>
                <select name="category" id="category" class="w-full h-full p-2 rounded border border-[#cf000f]" onchange="this.form.submit()">
                    <option value="" selected>Select Category</option>
                    @foreach($categories as $category)
                    <option value="{{ $category->id }}" {{ request('category') == $category->id ? 'selected' : '' }}>
                        {{ $category->name }}
                    </option>
                    @endforeach
                </select>
            </form>
        </div>
        <div class="flex flex-wrap gap-2">
            @if(request('category'))
            @php
            // Find the category name based on the selected category ID
            $selectedCategory = $categories->firstWhere('id', request('category'));
            @endphp
            @if($selectedCategory)
            <a href="{{ url('blogs') }}" class="flex items-center px-4 py-1 bg-gray-200 rounded">
                {{ $selectedCategory->name }} <i class='bx bx-x text-[#cf000f]'></i>
            </a>
            @endif
            @endif
        </div>
    </div>


    <div class="p-4 bg-white">
        <h1 class="font-semibold text-[#cf000f]">RECENT POSTS</h1>
        <div class="space-y-4">
            @foreach ($allblogs->sortByDesc('created_at')->take(4) as $blog)
            <div>
                <a href="{{ url('/blogs_details', $blog->id) }}">
                    <div class="flex items-center gap-4">
                        <div>
                            <img class="w-20" src="{{ asset($blog->image) }}" alt="">
                        </div>
                        <div class="text-md">
                            <h1>{{ $blog->created_at->format('F d, Y') }}</h1>
                            <h1 class="font-bold">{{ $blog->title }}</h1>
                        </div>
                    </div>
                </a>
            </div>
            @endforeach

        </div>
    </div>

    @foreach ($banners as $banner)
    @if ($banner->banner_type === 'Side Banner')
    <div class="relative">
        <img class="absolute inset-0 w-full h-full" src="{{ asset($banner->image) }}" alt="">
        <div class="relative px-8 pt-40 pb-12 space-y-8">
            <div class="font-bold text-gray-700">{!! $banner->title !!}</div>
            <div class="text-2xl font-semibold">{!! $banner->subtitle !!}</div>
            <div>
                <a href="{{url('shop')}}">
                    <h1 class="text-lg text-white underline">Shop Now</h1>
                </a>
            </div>
        </div>
    </div>
    @endif
    @endforeach
</div>