<div class="h-[26rem] group hover:shadow-xl hover:bg-white group-regular-product-{{ $product->id }}">

    <div class="flex flex-col w-full">
        <a href="{{ url('product_details', $product->id) }}">
            <img class="object-contain w-full p-4 bg-white h-60"
                src="{{ $product->images->isNotEmpty() ? asset($product->images->first()->image) : asset('images/homepage/logo-header.webp') }}"
                alt="">
        </a>
        <div class="p-2 ">
            <div class="flex justify-between ">
                <div class="truncate ">
                    <h1 class="inline-block w-full text-sm" style="max-width: 130px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis;" title="{{ $product->name }}">
                        {{ $product->name }}
                    </h1>
                </div>
                <div>
                    @if (Auth::check())
                    <button onclick="addToWishlist({{ $product->id }}, {{ Auth::id() }})" class="focus:outline-none">
                        <img src="{{ asset('images/homepage/icon-addtowishlist.webp') }}" alt="Add to Wishlist">
                    </button>
                    @else
                    <a href="{{ url('wishlist') }}">
                        <button type="button" class="focus:outline-none">
                            <img src="{{ asset('images/homepage/icon-addtowishlist.webp') }}" alt="Add to Wishlist">
                        </button>
                    </a>
                    @endif
                </div>
            </div>

            <p class="font-bold text-[#cf000f]">₱{{ number_format($product->price, 2) }}</p>
        </div>
    </div>


    <div class="flex flex-col items-center hidden py-2 space-y-2 group-hover:flex">
        <input type="hidden" id="product-id-{{ $product->id }}" value="{{ $product->id }}">
        <input type="hidden" id="quantity-{{ $product->id }}" value="1">

        <!-- Quantity controls -->
        <div class="flex items-center justify-center space-x-2">
            <button type="button" class="border border-[#cf000f] rounded-full text-[#cf000f] h-8 w-8 bg-white" onclick="decrementQuantity({{ $product->id }})">-</button>
            <span id="quantity-display-{{ $product->id }}" class="px-4">1</span>
            <button type="button" class="border border-[#cf000f] rounded-full text-[#cf000f] h-8 w-8 bg-white" onclick="incrementQuantity({{ $product->id }})">+</button>
        </div>

        <!-- Add to Cart Button -->
        <button type="button" onclick="addToCart({{ $product->id }})" class="bg-[#cf000f] text-white flex justify-between items-center rounded-full px-6 py-2 text-xs group-hover:flex">
            Add to Cart<img class="pl-4" src="{{ asset('images/homepage/icon-addtocart.webp') }}" alt="Add to Cart">
        </button>
    </div>
</div>