<div class="space-y-4">
    <form method="GET" action="{{ url('shop') }}" class="p-4 space-y-4 bg-white">
        <div>
            <label for="search">Search</label>
            <div class="relative">
                <input
                    type="text"
                    name="search"
                    placeholder="Type here"
                    class="w-full h-full p-2 rounded border border-[#cf000f]"
                    value="{{ request('search') }}">

                <i class='bx bx-search absolute right-4 top-3 text-[#cf000f]'></i>
            </div>

        </div>
        <h1 class="font-semibold text-[#cf000f]">FILTER BY</h1>

        <!-- Category Filter -->
        <div class="space-y-2">
            <div>
                <label for="category">Category</label>
                <select
                    name="category"
                    id="category"
                    class="w-full h-full p-2 rounded border border-[#cf000f]">
                    <option value="">Select Category</option>
                    @foreach($category as $cat)
                    <option
                        value="{{ $cat->id }}"
                        {{ request('category') == $cat->id ? 'selected' : '' }}>
                        {{ $cat->name }}
                    </option>
                    @endforeach
                </select>
            </div>

            <div class="flex flex-wrap gap-2">
                @if(request('category'))
                @php
                // Find the category name based on the selected category ID
                $selectedCategory = $category->firstWhere('id', request('category'));
                @endphp
                @if($selectedCategory)
                <a href="{{ url('shop') }}" class="flex items-center px-4 py-1 bg-gray-200 rounded">
                    {{ $selectedCategory->name }} <i class='bx bx-x text-[#cf000f]'></i>
                </a>
                @endif
                @endif
            </div>
        </div>

        <!-- Brand Filter -->
        <div class="space-y-2">
            <div>
                <label for="brand">Brand</label>
                <select
                    name="brand"
                    id="brand"
                    class="w-full h-full p-2 rounded border border-[#cf000f]">
                    <option value="">Select Brand</option>
                    @foreach($brands as $brand)
                    <option
                        value="{{ $brand->id }}"
                        {{ request('brand') == $brand->id ? 'selected' : '' }}>
                        {{ $brand->brand_name }}
                    </option>
                    @endforeach
                </select>

            </div>

            <div class="flex flex-wrap gap-2">
                @if(request('brand'))
                @php
                // Find the category name based on the selected category ID
                $selectedbrand = $brand->firstWhere('id', request('brand'));
                @endphp
                @if($selectedbrand)
                <a href="{{ url('shop') }}" class="flex items-center px-4 py-1 bg-gray-200 rounded">
                    {{ $selectedbrand->brand_name }} <i class='bx bx-x text-[#cf000f]'></i>
                </a>
                @endif
                @endif
            </div>
        </div>

        <!-- Price Filter -->
        <div>
            <label>Price Range</label>
            <div class="space-y-2">
                <label>
                    <input
                        type="radio"
                        name="price"
                        value="0-1193"
                        {{ request('price') == '0-1193' ? 'checked' : '' }}>
                    ₱0.00 - ₱1,193.00
                </label><br>
                <label>
                    <input
                        type="radio"
                        name="price"
                        value="1193-2691"
                        {{ request('price') == '1193-2691' ? 'checked' : '' }}>
                    ₱1,193.00 – ₱2,691.00
                </label><br>
                <label>
                    <input
                        type="radio"
                        name="price"
                        value="2691-4793"
                        {{ request('price') == '2691-4793' ? 'checked' : '' }}>
                    ₱2,691.00 – ₱4,793.00
                </label>
                <br>
                <label>
                    <input
                        type="radio"
                        name="price"
                        value="4793-7591"
                        {{ request('price') == '4793-7591' ? 'checked' : '' }}>
                    ₱4,793.00 – ₱7,591.00
                </label>
                <br>
                <label>
                    <input
                        type="radio"
                        name="price"
                        value="7591-8489"
                        {{ request('price') == '7591-8489' ? 'checked' : '' }}>
                    ₱7,591.00 – ₱8,489.00
                </label>
            </div>
        </div>

        <!-- Submit Button -->
        <div class="mt-4">
            <button type="submit" class="w-full p-2 bg-[#cf000f] text-white rounded">
                Apply Filters
            </button>
        </div>
    </form>


    @foreach ($banners as $banner)
    @if ($banner->banner_type === 'Side Banner')
    <div class="relative">
        <img class="absolute inset-0 w-full h-full" src="{{ asset($banner->image) }}" alt="">
        <div class="relative px-8 pt-40 pb-12 space-y-8">
            <div class="font-bold text-gray-700">{!! $banner->title !!}</div>
            <div class="text-2xl font-semibold">{!! $banner->subtitle !!}</div>
            <div>
                <a href="{{url('shop')}}">
                    <h1 class="text-lg text-white underline">Shop Now</h1>
                </a>
            </div>
        </div>
    </div>
    @endif
    @endforeach

</div>