<!-- contact_us.blade.php -->
@extends('layouts.main-app')

@section('title', 'Place Order')

@section('content')

@include('layouts.navbar')

<div class="relative">
    <img class="absolute inset-0 w-full h-full" src="{{asset('images/about_us/img-banner.png')}}" alt="">
    <div class="relative text-center py-14">
        <h1 class="text-xl text-white">My Cart</h1>
    </div>
</div>
<div class="bg-gray-100">
    <div class="container max-w-screen-xl px-4 mx-auto">
        <!-- Display errors -->
        @if ($errors->any())
        <div class="p-4 mb-4 text-white bg-red-500 rounded">
            <ul>
                @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
        @endif
        <form action="{{ route('submit.billing') }}" method="POST">
            @csrf
            <div class="grid grid-cols-1 gap-8 py-8 lg:grid-cols-3">
                <div class="lg:col-span-2">
                    <h1 class="text-[#cf000f] text-xl font-bold">Billing Information</h1>
                    <div class="grid grid-cols-1 gap-4 text-sm md:grid-cols-3">
                        <input type="text" value="{{$billing->id ?? ""}}" name="billing_id" id="billing_id" readonly hidden>

                        <div>
                            <label for="first_name">First Name</label>
                            <input
                                type="text"
                                id="first_name"
                                name="first_name"
                                value="{{ old('first_name', $billing->first_name ?? '') }}"
                                class="w-full p-2 bg-transparent border border-gray-400 rounded"
                                {{ isset($billing) && $billing->first_name ? 'readonly' : '' }}>
                        </div>

                        <div>
                            <label for="last_name">Last Name</label>
                            <input type="text" id="last_name" name="last_name" value="{{ old('last_name', $billing->last_name ?? '') }}" class="w-full p-2 bg-transparent border border-gray-400 rounded" {{ isset($billing) && $billing->last_name ? 'readonly' : '' }}>
                        </div>

                        <div>
                            <label for="middle_name">Middle Name</label>
                            <input type="text" id="middle_name" name="middle_name" value="{{ old('middle_name', $billing->middle_name ?? '') }}" class="w-full p-2 bg-transparent border border-gray-400 rounded" {{ isset($billing) && $billing->middle_name ? 'readonly' : '' }}>
                        </div>

                        <div>
                            <label for="email">Email Address</label>
                            <input type="text" id="email" name="email" value="{{ old('email', $billing->email ?? '') }}" class="w-full p-2 bg-transparent border border-gray-400 rounded" {{ isset($billing) && $billing->email ? 'readonly' : '' }}>
                        </div>

                        <div>
                            <label for="phone_number">Phone Number</label>
                            <input type="text" id="phone_number" name="phone_number" value="{{ old('phone_number', $billing->phone_number ?? '') }}" class="w-full p-2 bg-transparent border border-gray-400 rounded" {{ isset($billing) && $billing->phone_number ? 'readonly' : '' }}>
                        </div>

                        <div></div>

                        <div class="md:col-span-2">
                            <label for="street_address">Street Address</label>
                            <input type="text" id="street_address" name="street_address" value="{{ old('street_address', $billing->street_address ?? '') }}" class="w-full p-2 bg-transparent border border-gray-400 rounded" {{ isset($billing) && $billing->street_address ? 'readonly' : '' }}>
                        </div>

                        <div></div>

                        <div>
                            <label for="city">City</label>
                            <input type="text" id="city" name="city" value="{{ old('city', $billing->city ?? '') }}" class="w-full p-2 bg-transparent border border-gray-400 rounded" {{ isset($billing) && $billing->city ? 'readonly' : '' }}>
                        </div>

                        <div>
                            <label for="state">State/Province</label>
                            <input type="text" id="state" name="state" value="{{ old('state', $billing->state ?? '') }}" class="w-full p-2 bg-transparent border border-gray-400 rounded" {{ isset($billing) && $billing->state ? 'readonly' : '' }}>
                        </div>

                        <div class="grid grid-cols-2 gap-4">
                            <div>
                                <label for="country">Country</label>
                                <input type="text" id="country" name="country" value="{{ old('country', $billing->country ?? '') }}" class="w-full p-2 bg-transparent border border-gray-400 rounded" {{ isset($billing) && $billing->country ? 'readonly' : '' }}>
                            </div>

                            <div>
                                <label for="zip_code">ZIP/Postal Code</label>
                                <input type="text" id="zip_code" name="zip_code" value="{{ old('zip_code', $billing->zip_code ?? '') }}" class="w-full p-2 bg-transparent border border-gray-400 rounded" {{ isset($billing) && $billing->zip_code ? 'readonly' : '' }}>
                            </div>
                        </div>
                    </div>

                    <div class="flex items-center py-4 space-x-2">
                        <input id="checkbox-table-search-1" name="checkbox-table-search-1" type="checkbox" class="w-4 h-4 text-blue-600 bg-transparent border-black rounded ">
                        <label for="checkbox-table-search-1" class="text-sm font-bold text-black">SHIP TO A DIFFERENT ADDRESS? </label>
                    </div>

                    <div id="shipping-address-fields" class="grid hidden grid-cols-1 gap-4 text-sm md:grid-cols-3">
                        <div>
                            <label for="first_name">First Name</label>
                            <input type="text" id="shipping_first_name" name="shipping_first_name" class="w-full p-2 bg-transparent border border-gray-400 rounded">
                        </div>
                        <div>
                            <label for="last_name">Last Name</label>
                            <input type="text" id="shipping_last_name" name="shipping_last_name" class="w-full p-2 bg-transparent border border-gray-400 rounded">
                        </div>
                        <div>
                            <label for="middle_name">Middle Name</label>
                            <input type="text" id="shipping_middle_name" name="shipping_middle_name" class="w-full p-2 bg-transparent border border-gray-400 rounded">
                        </div>
                        <div>
                            <label for="email">Email Address</label>
                            <input type="text" id="shipping_email" name="shipping_email" class="w-full p-2 bg-transparent border border-gray-400 rounded">
                        </div>
                        <div>
                            <label for="phone_number">Phone Number</label>
                            <input type="text" id="shipping_phone_number" name="shipping_phone_number" class="w-full p-2 bg-transparent border border-gray-400 rounded">
                        </div>
                        <div></div>
                        <div class="md:col-span-2">
                            <label for="street_address">Street Address</label>
                            <input type="text" id="shipping_street_address" name="shipping_street_address" class="w-full p-2 bg-transparent border border-gray-400 rounded">
                        </div>
                        <div></div>
                        <div>
                            <label for="city">City</label>
                            <input type="text" id="shipping_city" name="shipping_city" class="w-full p-2 bg-transparent border border-gray-400 rounded">
                        </div>
                        <div>
                            <label for="state">State/Province</label>
                            <input type="text" id="shipping_state" name="shipping_state" class="w-full p-2 bg-transparent border border-gray-400 rounded">
                        </div>
                        <div class="grid grid-cols-2 gap-4">
                            <div>
                                <label for="country">Country</label>
                                <input type="text" id="shipping_country" name="shipping_country" class="w-full p-2 bg-transparent border border-gray-400 rounded">
                            </div>
                            <div>
                                <label for="zip_code">ZIP/Postal Code</label>
                                <input type="text" id="shipping_zip_code" name="shipping_zip_code" class="w-full p-2 bg-transparent border border-gray-400 rounded">
                            </div>
                        </div>
                    </div>

                    <script>
                        document.getElementById('checkbox-table-search-1').addEventListener('change', function() {
                            const shippingFields = document.getElementById('shipping-address-fields');
                            shippingFields.classList.toggle('hidden', !this.checked);
                        });
                    </script>
                    <hr class="my-2 border border-gray-300">
                    <div>
                        <label for="notes">Order notes(optional)</label>
                        <textarea name="notes" id="notes" class="w-full p-2 bg-transparent border border-gray-400 rounded-xl" rows="5" placeholder="Notes about your order, e.g. special notes for delivery"></textarea>
                    </div>
                </div>
                <div>
                    <div class="p-8 space-y-4 bg-white rounded-xl">
                        <h1 class="font-bold">ORDER SUMMARY</h1>
                        <div class="flex items-center justify-between">
                            <h1 class="font-bold">Product</h1>
                            <p class="text-gray-500">Price</p>
                        </div>

                        @php
                        // Retrieve cart data from session
                        $cartData = session('cart_data', []);
                        $subtotal = 0;

                        // Calculate the subtotal of the products in the cart
                        foreach ($cartData as $item) {
                        $subtotal += $item['subtotal'];
                        }

                        // Retrieve additional data
                        $shipping = session('shipping', 0); // Placeholder for shipping cost
                        $voucherCode = session('voucher_code');
                        $discount = session('voucher_discount', 0); // Placeholder for discount
                        $redeemedPoints = session('redeem_points', 0); // Default to 0 if not set
                        $tax = session('tax', 40.00); // Placeholder for tax value

                        // Calculate the total amount
                        $total = $subtotal - $redeemedPoints - $discount;
                        @endphp


                        @foreach($cartData as $item)
                        <div class="flex items-center justify-between text-gray-500">
                            <h1>{{ $item['product_name'] }} <span class="font-bold text-black">x{{ $item['quantity'] }}</span></h1>
                            <p>₱{{ number_format($item['subtotal'], 2) }}</p>
                        </div>
                        <input type="text" readonly hidden name="product_id[]" value="{{ $item['product_id'] }}">
                        <input type="text" readonly hidden name="quantity[]" value="{{ $item['quantity'] }}">
                        <input type="text" readonly hidden name="subtotal[]" value="{{ $item['subtotal'] }}">
                        @endforeach

                        <hr class="my-4 border-gray-400">
                        <input type="text" id="voucher_code" hidden readonly name="voucher_code" class="w-full p-2 border rounded" value="{{ $voucherCode }}">

                        <!-- Subtotal Calculation -->
                        <div class="flex items-center justify-between">
                            <h1 class="font-bold">Subtotal</h1>
                            <p class="text-gray-500">₱{{ number_format($subtotal, 2) }}</p>
                        </div>

                        <hr class="my-4 border-gray-400">

                        <div class="flex items-center justify-between text-gray-500">
                            <h1>Redeemed Points</h1>
                            <p>-₱{{ number_format($redeemedPoints, 2) }}</p>
                        </div>

                        <div class="flex items-center justify-between text-gray-500">
                            <h1>Discounts</h1>
                            <p>-₱{{ number_format($discount, 2) }}</p>
                        </div>
                        <input type="text" id="discount" hidden readonly name="discount" class="w-full p-2 border rounded" value="{{ $discount }}">
                        <hr class="my-4 border-gray-400">

                        <div class="flex items-center justify-between">
                            <h1 class="font-bold">Total</h1>
                            <p>₱{{ number_format($total, 2) }}</p>
                        </div>
                        <input type="text" name="total" hidden readonly value="{{ $total }}">

                        <hr class="my-4 border-gray-400">
                        <label for="payment_method_types">Payment Method</label><br>
                        <div class="flex items-center space-x-2">
                            <input type="radio" id="gcash" name="payment_method_types" value="gcash">
                            <label for="gcash">GCash</label><br>
                        </div>
                        <div class="flex items-center space-x-2">
                            <input type="radio" id="card" name="payment_method_types" value="card">
                            <label for="card">Card</label><br>
                        </div>

                        <hr class="my-4 border-gray-400">
                        <p class="text-sm">Your personal data will be used to process your order, support your experience throughout this website, and for other purposes described in our <span class="underline text-[#cf000f]">privacy policy</span></p>

                        <div class="flex items-start space-x-2">
                            <input required id="" type="checkbox" class="w-4 h-4 text-blue-600 bg-white border-black rounded ">
                            <label for="" class="text-sm text-black">I have read and agree to the website <span class="underline text-[#cf000f]">terms and condition</span> </label>
                        </div>
                        <input type="hidden" name="redeemed_points" value="{{ $redeemedPoints }}">
                        <div>
                            <button type="submit" class="w-full p-2 text-white bg-[#cf000f] rounded-full">Place Order</button>
                        </div>

                    </div>
                </div>

            </div>
        </form>
    </div>
</div>

@include('layouts.footer')
@endsection