<!-- contact_us.blade.php -->
@extends('layouts.main-app')

@section('title', 'Wishlist')

@section('content')

@include('layouts.navbar')

<!--<div class="relative">-->
<!--    <img class="absolute inset-0 w-full h-full" src="{{asset('images/about_us/img-banner.png')}}" alt="">-->
<!--    <div class="relative text-center py-14">-->
<!--        <h1 class="text-xl text-white">My Wishlist</h1>-->
<!--    </div>-->
<!--</div>-->

<div class="bg-gray-100">
    <div class="container max-w-screen-xl py-12 mx-auto">
        <div class="grid grid-cols-1 gap-4 lg:grid-cols-3">
            <div class="space-y-4 lg:col-span-2">
                <div class="relative shadow-md sm:rounded-lg">
                    <div class="overflow-auto">
                        <table class="w-full text-sm text-left text-gray-500 rtl:text-right ">
                            <thead class="text-sm text-[#cf000f]  bg-gray-50 ">
                                <tr>
                                    <th scope="col" class="px-6 py-3">

                                    </th>
                                    <th scope="col" class="px-6 py-3 text-center">
                                        Product
                                    </th>
                                    <th scope="col" class="px-6 py-3">
                                        Price
                                    </th>
                                    <th scope="col" class="px-6 py-3 text-nowrap">
                                        Stock Status
                                    </th>
                                    <th scope="col" class="px-6 py-3">

                                    </th>
                                    <th scope="col" class="px-6 py-3">
                                    </th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($wishlist as $wishlists)
                                <tr class="bg-white border-b hover:bg-gray-50 ">
                                    <th scope="row">
                                        <div class="w-40 h-full">
                                            <img class="object-cover w-full h-full p-2" src=" {{ $wishlists->product->images->isNotEmpty() ? asset($wishlists->product->images->first()->image) : asset('images/homepage/logo-header.webp') }}" alt="{{ $wishlists->name }}">
                                        </div>
                                    </th>
                                    <th scope="row" class="px-6 py-4 font-medium text-gray-900 ">
                                        {{ $wishlists->product->name}}
                                    </th>
                                    <td class="px-6 py-4">
                                        ₱ {{ $wishlists->product->price}}
                                    </td>
                                    <td class="px-6 py-4 text-green-400">
                                        {{ $wishlists->product->availability}}
                                    </td>
                                    <td class="px-6 py-4">

                                        <input type="hidden" name="product_id" id="product-id-{{ $wishlists->product->id }}" value="{{ $wishlists->product->id }}">
                                        <input type="hidden" id="quantity-{{ $wishlists->product->id }}" name="quantity" value="1">

                                        <!-- Add to Cart Button -->
                                        <button type="button" onclick="addToCart({{ $wishlists->product->id }})" class="bg-[#cf000f] text-white flex items-center rounded-full px-8 py-2 text-nowrap">Add to Cart <img class="pl-4" src="{{asset('images/homepage/icon-addtocart.webp')}}" alt=""></button>


                                    </td>
                                    <td class="px-6 py-4 ">
                                        <form action="{{ route('wishlist.destroy', $wishlists->id) }}" method="POST">
                                            @csrf
                                            @method('DELETE')
                                            <button type="submit" class="text-xl font-medium text-black">
                                                <i class='bx bx-x'></i>
                                            </button>
                                        </form>
                                    </td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>

                    <div class="p-4 bg-white">
                        <div class="p-8 text-sm text-gray-500 border-2 border-dashed rounded">
                            Products in your wishlist may go out of stock or change in price. Add them to your cart to secure your purchase.
                        </div>
                    </div>
                </div>

                <div>
                    <a href="{{url('shop')}}">
                        <button class="px-6 py-2 border border-black rounded-full">Continue Shopping</button>
                    </a>
                </div>
            </div>
            <div class="space-y-8">
                @foreach ($banners as $banner)
                @if ($banner->banner_type === 'Side Banner')
                <div class="relative">
                    <img class="absolute inset-0 w-full h-full" src="{{ asset($banner->image) }}" alt="">
                    <div class="relative px-8 pt-40 pb-12 space-y-8">
                        <div class="font-bold text-gray-700">{!! $banner->title !!}</div>
                        <div class="text-2xl font-semibold">{!! $banner->subtitle !!}</div>
                        <div>
                            <a href="{{url('shop')}}">
                                <h1 class="text-lg text-white underline">Shop Now</h1>
                            </a>
                        </div>
                    </div>
                </div>
                @endif
                @endforeach
            </div>
        </div>
    </div>
</div>

@include('layouts.footer')
@endsection