<!-- contact_us.blade.php -->


<?php $__env->startSection('title', 'Home'); ?>

<?php $__env->startSection('content'); ?>

<?php echo $__env->make('layouts.navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<div class="relative">
    <img class="absolute inset-0 w-full h-full" src="<?php echo e(asset('images/about_us/img-banner.png')); ?>" alt="">
    <div class="relative text-center py-14">
        <h1 class="text-xl text-white">Home - Cart</h1>
    </div>
</div>
<?php if(session('success')): ?>
<div class="p-3 mb-4 text-green-700 bg-green-100 rounded">
    <?php echo e(session('success')); ?>

</div>
<?php endif; ?>

<div class="bg-gray-100">
    <div class="container max-w-screen-xl px-4 py-8 mx-auto">
        <form action="<?php echo e(route('checkout.save')); ?>" method="POST" onsubmit="return validateSelection()">
            <?php echo csrf_field(); ?>
            <!-- Hidden input for redeemed points -->
            <input type="hidden" name="redeemed_points" id="redeemed_points" value="0">
            <div id="error-message" class="hidden mt-2 text-sm text-red-500"></div>

            <div class="grid grid-cols-1 gap-4 lg:grid-cols-3">
                <div class="space-y-4 md:col-span-2">
                    <div class="overflow-x-auto">
                        <table class="w-full min-w-full text-sm text-left text-gray-500 rtl:text-right">
                            <thead class="text-sm text-[#cf000f] bg-gray-50">
                                <tr>
                                    <th scope="col" class="p-4">
                                        <!-- Checkbox Column (Optional) -->
                                    </th>
                                    <th scope="col" class="px-6 py-3"></th>
                                    <th scope="col" class="px-6 py-3 text-center">Product</th>
                                    <th scope="col" class="px-6 py-3">Price</th>
                                    <th scope="col" class="px-6 py-3">Quantity</th>
                                    <th scope="col" class="px-6 py-3">Subtotal</th>
                                    <th scope="col" class="px-6 py-3"></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr class="bg-white border-b hover:bg-gray-50">
                                    <td class="w-4 p-4">
                                        <div class="flex items-center">
                                            <input type="checkbox" name="products[<?php echo e($product->id); ?>][selected]" value="1" class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 rounded">
                                        </div>
                                    </td>
                                    <td class="w-20 sm:w-32 md:w-40">
                                        <img class="w-full h-full p-2" src="<?php echo e(asset($product->images->first()->image)); ?>" alt="<?php echo e($product->name); ?>">
                                    </td>
                                    <td class="px-6 py-4 font-medium text-gray-900"><?php echo e($product->name); ?></td>
                                    <td class="px-6 py-4">₱<?php echo e(number_format($product->price, 2)); ?></td>
                                    <td class="px-6 py-4">
                                        <div class="flex items-center justify-center border border-gray-700 rounded">
                                            <button type="button" onclick="updateQuantity(<?php echo e($product->id); ?>, <?php echo e($product->price); ?>, 'decrement')" class="px-2 py-1 text-xl text-gray-500 rounded-l ">-</button>
                                            <span id="counter-<?php echo e($product->id); ?>" class="w-8 text-center "><?php echo e($cart[$product->id]); ?></span>
                                            <button type="button" onclick="updateQuantity(<?php echo e($product->id); ?>, <?php echo e($product->price); ?>, 'increment')" class="px-2 py-1 text-xl text-gray-500 rounded-r ">+</button>
                                            <input type="hidden" name="products[<?php echo e($product->id); ?>][quantity]" id="quantity-input-<?php echo e($product->id); ?>" value="<?php echo e($cart[$product->id]); ?>">
                                        </div>
                                    </td>
                                    <td class="px-6 py-4">₱<span id="subtotal-<?php echo e($product->id); ?>"><?php echo e(number_format($product->price * $cart[$product->id], 2)); ?></span></td>
                                    <td class="px-6 py-4">
                                        <a href="<?php echo e(route('cart.remove', $product->id)); ?>" class="text-xl font-medium text-black">
                                            <i class='bx bx-x'></i>
                                        </a>
                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>

                    <div>
                        <a href="<?php echo e(url('shop')); ?>">
                            <button type="button" class="px-6 py-2 border border-black rounded-full">Continue Shopping</button>
                        </a>
                    </div>
                </div>
                <div class="space-y-4">
                    <!-- Redeem Points Section -->
                    <div class="p-8 space-y-4 bg-white rounded-xl">
                        <div class="flex items-center justify-between">
                            <div>
                                <h1>DISCOUNTS</h1>
                            </div>
                        </div>

                        <div class="w-full rounded-lg">
                            <div class="flex">
                                <input type="text" name="voucher_code" id="voucher_code" class="w-full bg-white pl-2 text-sm rounded-l-full outline-0 border-[#cf000f]" placeholder="Enter voucher code">
                                <button type="button" onclick="applyVoucher()" class="bg-[#cf000f] p-2 rounded-r-full text-sm text-white font-semibold">Apply</button>
                            </div>
                            <p id="voucher-message" class="mt-2 text-sm text-red-500"></p>
                        </div>
                    </div>

                    <!-- Redeem Points Section -->
                    <div class="p-8 space-y-4 bg-white rounded-xl">
                        <div class="flex items-center justify-between">
                            <?php if(Auth::check()): ?> <!-- Check if the user is authenticated -->
                            <h1>REDEEM POINTS : <span class="text-[#cf000f]"> <?php echo e(number_format(Auth::user()->redeem_balance, 0)); ?></span></h1>
                            <?php else: ?>
                            <h1>REDEEM POINTS : <span class="text-[#cf000f]">0</span></h1>
                            <?php endif; ?>
                        </div>

                        <div class="w-full">
                            <div class="w-full rounded-lg">
                                <div class="flex">
                                    <?php if(Auth::check()): ?> <!-- Check if the user is authenticated -->
                                    <input type="number" min="0" max="<?php echo e(Auth::user()->redeem_balance); ?>" class="w-full bg-white pl-2 text-sm rounded-l-full outline-0 border-[#cf000f]" placeholder="Enter the points to redeem" id="redeem_input" />
                                    <button type="button" onclick="redeemPoints()" class="bg-[#cf000f] p-2 rounded-r-full text-sm text-white font-semibold">Redeem</button>
                                    <?php else: ?>
                                    <input type="number" min="0" class="w-full bg-white pl-2 text-sm rounded-l-full outline-0 border-[#cf000f]" placeholder="You must be logged in" disabled />
                                    <button type="button" class="bg-[#cf000f] p-2 rounded-r-full text-sm text-white font-semibold" disabled>Redeem</button>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- Order Summary -->
                    <div class="p-8 space-y-4 bg-white rounded-xl">
                        <h1 class="font-bold">ORDER SUMMARY</h1>
                        <?php
                        $subtotal = 0;
                        foreach ($products as $product) {
                        $subtotal += $product->price * $cart[$product->id];
                        }
                        ?>
                        <div class="flex items-center justify-between mt-4">
                            <h1 class="font-bold">Subtotal</h1>
                            <p>₱<span id="order-subtotal"><?php echo e(number_format($subtotal, 2)); ?></span></p>
                        </div>
                        <hr>
                        <div class="flex items-center justify-between mt-2">
                            <h1 class="">Discounts</h1>
                            <p>-₱<span id="order-discounts">0.00</span></p>
                        </div>
                        <div class="flex items-center justify-between mt-2">
                            <h1 class="">Redeemed Points</h1>
                            <p>-₱<span id="order-redeemed-points">0.00</span></p>
                        </div>
                        <hr>
                        <div class="flex items-center justify-between mt-2">
                            <h1 class="font-bold">Estimated Total</h1>
                            <p>₱<span id="estimated-total"><?php echo e(number_format($subtotal, 2)); ?></span></p>
                        </div>
                        <div>
                            <button type="submit" class="w-full p-2 text-white bg-[#cf000f] rounded-full">Proceed to Checkout</button>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>

<script>
    function validateSelection() {
        const checkboxes = document.querySelectorAll('input[type="checkbox"]:checked');
        const errorMessage = document.getElementById('error-message');

        if (checkboxes.length === 0) {
            // Show error message
            errorMessage.textContent = 'Please select at least one product to proceed to checkout.';
            errorMessage.classList.remove('hidden'); // Show the error message
            return false; // Prevent form submission
        }

        // Hide error message if products are selected
        errorMessage.classList.add('hidden');
        return true; // Allow form submission
    }

    function updateQuantity(productId, productPrice, action) {
        let counter = document.getElementById(`counter-${productId}`);
        let subtotalDisplay = document.getElementById(`subtotal-${productId}`);
        let quantityInput = document.getElementById(`quantity-input-${productId}`);
        let quantity = parseInt(counter.textContent);

        // Update the quantity based on the action
        if (action === 'increment') {
            quantity++;
        } else if (action === 'decrement' && quantity > 1) {
            quantity--;
        }

        // Update the displayed quantity
        counter.textContent = quantity;

        // Update the hidden input value
        quantityInput.value = quantity;

        // Calculate and update the new subtotal
        let newSubtotal = (quantity * productPrice).toFixed(2);
        subtotalDisplay.textContent = newSubtotal;

        // Update the order subtotal
        updateOrderSubtotal();
    }

    function updateOrderSubtotal() {
        const subtotalElements = document.querySelectorAll('[id^="subtotal-"]');
        let subtotal = 0;
        subtotalElements.forEach(element => {
            subtotal += parseFloat(element.textContent.replace(/,/g, ''));
        });
        document.getElementById('order-subtotal').innerText = subtotal.toFixed(2);

        // Recalculate estimated total based on redeemed points
        const redeemedPoints = parseFloat(document.getElementById('redeemed_points').value);
        const estimatedTotal = subtotal - redeemedPoints;
        document.getElementById('estimated-total').innerText = estimatedTotal.toFixed(2);
    }

    function updateTotal() {
        const subtotal = parseFloat(document.getElementById('order-subtotal').innerText.replace(/,/g, ''));
        const redeemPointsDisplay = parseFloat(document.getElementById('order-redeemed-points').innerText || 0);
        const orderDiscountsDisplay = parseFloat(document.getElementById('order-discounts').innerText || 0);
        const estimatedTotalDisplay = document.getElementById('estimated-total');

        // Calculate the estimated total
        const estimatedTotal = subtotal - redeemPointsDisplay - orderDiscountsDisplay;

        // Update the estimated total display
        estimatedTotalDisplay.innerText = Math.max(0, estimatedTotal).toFixed(2); // Ensure the total is not negative
    }

    function redeemPoints() {
        const redeemInput = document.getElementById('redeem_input');
        const redeemPointsDisplay = document.getElementById('order-redeemed-points');

        const redeemBalance = document.getElementById('redeem_input');

        const redeemedPointsField = document.getElementById('redeemed_points');
        const subtotal = parseFloat(document.getElementById('order-subtotal').innerText.replace(/,/g, ''));

        let pointsToRedeem = parseFloat(redeemInput.value);

        // Validate input
        if (isNaN(pointsToRedeem) || pointsToRedeem < 0) {
            alert('Please enter a valid number of points to redeem.');
            return;
        }

        if (pointsToRedeem > redeemBalance) {
            alert('You do not have enough redeem points.');
            return;
        }

        // Assuming 1 point = 1 PHP for simplicity
        let redeemedAmount = pointsToRedeem;

        // Ensure redeemed amount does not exceed subtotal
        if (redeemedAmount > subtotal) {
            redeemedAmount = subtotal;
            pointsToRedeem = subtotal; // Adjust points to match the redeemed amount
            alert('Redeemed amount cannot exceed the subtotal.');
        }

        // Update the redeemed points display and hidden input
        redeemPointsDisplay.innerText = redeemedAmount.toFixed(2);
        redeemedPointsField.value = pointsToRedeem;

        // Update the total
        updateTotal();
    }

    function applyVoucher() {
        const voucherCode = document.getElementById('voucher_code').value.trim();
        const subtotal = parseFloat(document.getElementById('order-subtotal').innerText.replace(/,/g, ''));
        const voucherMessage = document.getElementById('voucher-message');
        const orderDiscountsDisplay = document.getElementById('order-discounts');

        // Reset voucher message
        voucherMessage.textContent = '';

        if (!voucherCode) {
            voucherMessage.textContent = 'Please enter a voucher code.';
            return;
        }

        // AJAX request to validate the voucher
        fetch('<?php echo e(route("validate.voucher")); ?>', {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json',
                    'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>',
                },
                body: JSON.stringify({
                    voucher_code: voucherCode
                }),
            })
            .then(response => response.json())
            .then(data => {
                if (data.success) {
                    let discount = 0;

                    // Calculate the discount based on the voucher type
                    if (data.voucher.discount_type === 'percentage') {
                        discount = (subtotal * data.voucher.discount_value / 100);
                    } else if (data.voucher.discount_type === 'fixed_amount') {
                        discount = Math.min(subtotal, data.voucher.discount_value);
                    }

                    // Update the discounts display
                    orderDiscountsDisplay.innerText = discount.toFixed(2);

                    // Show success message
                    voucherMessage.textContent = 'Voucher applied successfully!';
                    voucherMessage.classList.remove('text-red-500');
                    voucherMessage.classList.add('text-green-500');

                    // Update the total
                    updateTotal();
                } else {
                    voucherMessage.textContent = data.message || 'Invalid voucher code.';
                    voucherMessage.classList.add('text-red-500');
                }
            })
            .catch(error => {
                console.error('Error:', error);
                voucherMessage.textContent = 'An error occurred. Please try again.';
            });
    }
</script>

<?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.main-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\Markeh\Websites\gardose\resources\views/cart.blade.php ENDPATH**/ ?>