<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <div class="container max-w-4xl p-6 mx-auto bg-white rounded-lg shadow-lg">
        <h1 class="mb-4 text-2xl font-bold">Edit Transaction</h1>
        <form action="<?php echo e(route('subscription.transaction.update', $transaction->id)); ?>" method="POST" enctype="multipart/form-data" class="space-y-2">
            <?php echo csrf_field(); ?>
            <?php echo method_field('PUT'); ?>
            <input type="text" hidden readonly value="<?php echo e($transaction->subscription_id); ?>" required id="subscription_id[]" name="subscription_id[]" class="w-full p-2 border border-gray-300 rounded">
            <div id="transaction-fields">
                <?php $__currentLoopData = $transaction->details; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="grid w-full grid-cols-3 gap-2 transaction-row">
                    <div>
                        <label for="product_id" class="block text-gray-700">Product:</label>
                        <select required id="product_id" name="product_id[]" class="w-full p-2 border border-gray-300 rounded product-select">
                            <option value="">Select a product</option>
                            <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($product->id); ?>" data-price="<?php echo e($product->price); ?>" <?php echo e($item->product_id == $product->id ? 'selected' : ''); ?>>
                                <?php echo e($product->name); ?>

                            </option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                        <?php $__errorArgs = ['product_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <span class="text-red-500"><?php echo e($message); ?></span>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>

                    <div>
                        <label for="price" class="block text-gray-700">Price:</label>
                        <input type="text" required value="<?php echo e($item->price); ?>" id="price" name="price[]" class="w-full p-2 border border-gray-300 rounded" readonly>
                        <?php $__errorArgs = ['price'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <span class="text-red-500"><?php echo e($message); ?></span>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>

                    <div>
                        <label for="quantity" class="block text-gray-700">Quantity:</label>
                        <input type="number" value="<?php echo e($item->quantity); ?>" required id="quantity" name="quantity[]" class="w-full p-2 border border-gray-300 rounded">
                        <?php $__errorArgs = ['quantity'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <span class="text-red-500"><?php echo e($message); ?></span>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
            <div class="col-span-3">
                <label for="note" class="block text-gray-700">Note:</label>
                <textarea id="note" name="note" class="w-full p-2 border border-gray-300 rounded"><?php echo e($transaction->note); ?></textarea>
                <?php $__errorArgs = ['note'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                <span class="text-red-500"><?php echo e($message); ?></span>
                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
            <div class="flex justify-between col-span-3">
                <button type="button" id="add-row" class="px-12 py-2 text-white bg-black rounded-full">Add</button>
            </div>
            <div class="flex justify-center py-4">
                <button type="submit" class="px-12 py-2 text-white bg-black rounded-full">Update</button>
            </div>
        </form>
    </div>
    <script>
        // When the "Add" button is clicked, clone the last row of inputs and append it
        document.getElementById('add-row').addEventListener('click', function() {
            var lastRow = document.querySelector('.transaction-row');
            var newRow = lastRow.cloneNode(true);

            // Reset the input fields to be empty (optional)
            var inputs = newRow.querySelectorAll('input, select, textarea');
            inputs.forEach(function(input) {
                input.value = '';
            });

            // Append the new row to the form
            document.getElementById('transaction-fields').appendChild(newRow);

            // Reinitialize event listeners for the newly added select elements
            initializeProductSelect(newRow);
        });

        // Update price field based on the selected product
        document.addEventListener('DOMContentLoaded', function() {
            // Initialize event listeners for all product selects
            document.querySelectorAll('.product-select').forEach(function(selectElement) {
                initializeProductSelect(selectElement.closest('.transaction-row'));
            });
        });

        // Function to initialize price update for product select elements
        function initializeProductSelect(row) {
            var productSelect = row.querySelector('.product-select');
            productSelect.addEventListener('change', function() {
                var selectedOption = this.options[this.selectedIndex];
                var price = selectedOption.getAttribute('data-price');
                var priceInput = row.querySelector('input[name="price[]"]');
                priceInput.value = price; // Set the price value
            });

            // Trigger change event to set the initial price value if any product is pre-selected
            if (productSelect.value) {
                var selectedOption = productSelect.options[productSelect.selectedIndex];
                var price = selectedOption.getAttribute('data-price');
                var priceInput = row.querySelector('input[name="price[]"]');
                priceInput.value = price;
            }
        }
    </script>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da)): ?>
<?php $component = $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da; ?>
<?php unset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da); ?>
<?php endif; ?><?php /**PATH D:\Markeh\Websites\gardose\resources\views/admin/subscriptions/edit_transaction_details.blade.php ENDPATH**/ ?>