<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <div class="container max-w-4xl p-6 mx-auto bg-white rounded-lg shadow-lg">
        <h1 class="mb-4 text-2xl font-bold">Create Products</h1>

        <form action="<?php echo e(route('products.store')); ?>" method="POST" enctype="multipart/form-data" class="grid grid-cols-1 gap-8 md:grid-cols-2">
            <?php echo csrf_field(); ?>

            <div class="mb-4">
                <label for="category_name" class="block text-gray-700">Category:</label>
                <select id="category_name" name="category_name" class="w-full p-2 border border-gray-300 rounded" required>
                    <option value="">Select Category</option>
                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($category->name); ?>" 
                            <?php echo e(old('category_name') == $category->name ? 'selected' : ''); ?>>
                            <?php echo e($category->name); ?>

                        </option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <option value="add_new">Add New Category</option>
                </select>
            
                <input type="text" id="new_category" name="new_category" class="w-full p-2 border border-gray-300 rounded mt-2 hidden" 
                       value="<?php echo e(old('new_category')); ?>" placeholder="Enter new category">
            
                <?php $__errorArgs = ['category_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                <span class="text-red-500"><?php echo e($message); ?></span>
                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
            
            <div class="mb-4">
                <label for="brand" class="block text-gray-700">Brand:</label>
                <select id="brand" name="brand" class="w-full p-2 border border-gray-300 rounded" required>
                    <option value="">Select Brand</option>
                    <?php $__currentLoopData = $brands; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $brand): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($brand->brand_name); ?>" 
                            <?php echo e(old('brand') == $brand->brand_name ? 'selected' : ''); ?>>
                            <?php echo e($brand->brand_name); ?>

                        </option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <option value="add_new">Add New Brand</option>
                </select>
            
                <input type="text" id="new_brand" name="new_brand" class="w-full p-2 border border-gray-300 rounded mt-2 hidden" 
                       value="<?php echo e(old('new_brand')); ?>" placeholder="Enter new brand">
            
                <?php $__errorArgs = ['brand'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                <span class="text-red-500"><?php echo e($message); ?></span>
                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
            
            <script>
                // Show the new category input field when "Add New Category" is selected
                document.getElementById('category_name').addEventListener('change', function() {
                    var newCategoryInput = document.getElementById('new_category');
                    if (this.value === 'add_new') {
                        newCategoryInput.classList.remove('hidden');
                        newCategoryInput.setAttribute('required', 'required');
                    } else {
                        newCategoryInput.classList.add('hidden');
                        newCategoryInput.removeAttribute('required');
                    }
                });
            
                // Show the new brand input field when "Add New Brand" is selected
                document.getElementById('brand').addEventListener('change', function() {
                    var newBrandInput = document.getElementById('new_brand');
                    if (this.value === 'add_new') {
                        newBrandInput.classList.remove('hidden');
                        newBrandInput.setAttribute('required', 'required');
                    } else {
                        newBrandInput.classList.add('hidden');
                        newBrandInput.removeAttribute('required');
                    }
                });
            </script>


            <div class=" md:col-span-2">
                <label for="name" class="block text-gray-700">Name:</label>
                <input type="text" value="<?php echo e(old('name')); ?>" required id="name" name="name"
                    class="w-full p-2 border border-gray-300 rounded">
                <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                <span class="text-red-500"><?php echo e($message); ?></span>
                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>

            <div class="">
                <label for="price" class="block text-gray-700">Price:</label>
                <input type="number" value="<?php echo e(old('price')); ?>" required id="price" name="price"
                    class="w-full p-2 border border-gray-300 rounded">
                <?php $__errorArgs = ['price'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                <span class="text-red-500"><?php echo e($message); ?></span>
                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>

            <div class="">
                <label for="stock" class="block text-gray-700">Stock:</label>
                <input type="number" value="<?php echo e(old('stock')); ?>" required id="stock" name="stock"
                    class="w-full p-2 border border-gray-300 rounded">
                <?php $__errorArgs = ['stock'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                <span class="text-red-500"><?php echo e($message); ?></span>
                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>


            <div class=" md:col-span-2">
                <label for="description" class="block text-gray-700">Description:</label>
                <textarea id="description" name="description" class="w-full p-2 border border-gray-300 rounded"><?php echo e(old('description')); ?></textarea>
                <?php $__errorArgs = ['description'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                <span class="text-red-500"><?php echo e($message); ?></span>
                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>

            <div class="mb-4 md:col-span-2">
                <label for="image[]" class="block text-gray-700">Image :</label>
                <input type="file" multiple id="image[]" name="image[]"
                    accept="image/webp,image/jpg,image/jpeg,image/png,image/gif"
                    class="w-full p-2 border border-gray-300 rounded">
                <?php $__errorArgs = ['image'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                <span class="text-red-500"><?php echo e($message); ?></span>
                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>

            <button type="submit" class="px-12 py-2 text-white bg-black rounded-full">Submit</button>
        </form>
    </div>

    <script src="https://cdn.ckeditor.com/4.16.0/standard/ckeditor.js"></script>

    <script>
        CKEDITOR.replace('description');
    </script>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da)): ?>
<?php $component = $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da; ?>
<?php unset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da); ?>
<?php endif; ?><?php /**PATH /home/rwebserver/public_html/gardose/resources/views/admin/products/create.blade.php ENDPATH**/ ?>