<!-- contact_us.blade.php -->


<?php $__env->startSection('title', 'Home'); ?>

<?php $__env->startSection('content'); ?>

<?php echo $__env->make('layouts.navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>


<div class="bg-gray-100">
    <div class="container max-w-screen-xl px-4 py-12 mx-auto">
        <form action="<?php echo e(route('subscriptions.store')); ?>" method="POST" enctype="multipart/form-data">
            <?php echo csrf_field(); ?>
            <?php if($errors->any()): ?>
            <div class="p-4 mb-4 text-white bg-red-500 rounded">
                <ul>
                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <li><?php echo e($error); ?></li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>
            </div>
            <?php endif; ?>
            <div class="p-4 space-y-4 bg-white">
                <h1 class="text-[#cf000f] text-xl font-semibold">Subscription Preferences</h1>
                <div class="grid grid-cols-1 p-4 space-y-8 rounded-md md:grid-cols-3 ">
                    <div class="space-y-8 md:col-span-2">
                        <div>
                            <h1 class="font-bold">Manage your subscription for regular delivery for your favorite products.</h1>
                        </div>
                        <div class="grid items-center grid-cols-3 gap-4 text-sm">
                            <div class="text-end">Full Name</div>
                            <div class="col-span-2">
                                <input type="text" id="full_name" name="full_name" value="<?php echo e(old('full_name')); ?>" class="w-full rounded-full border border-[#cf000f] p-2">
                            </div>
                            <div class="text-end">Email Address</div>
                            <div class="col-span-2">
                                <input type="text" id="email" name="email" value="<?php echo e(old('email')); ?>" class="w-full rounded-full border border-[#cf000f] p-2">
                            </div>
                            <div class="text-end">Phone Number</div>
                            <div class="col-span-2">
                                <input type="text" id="phone_number" name="phone_number" value="<?php echo e(old('phone_number')); ?>" class="w-full rounded-full border border-[#cf000f] p-2">
                            </div>
                            <div class="text-end">Date to receive the first order</div>
                            <div class="col-span-2">
                                <input
                                    type="date"
                                    id="date_received"
                                    name="date_received"
                                    value="<?php echo e(old('date_received')); ?>"
                                    class="w-full rounded-full border border-[#cf000f] p-2"
                                    min="<?php echo e(now()->toDateString()); ?>">
                            </div>
                            <div class="col-span-2">
                                <h1 class="font-bold">Delivery Frequency Options</h1>
                            </div>
                            <div class="flex flex-wrap items-center col-span-2 gap-4">
                                <div class="flex items-center space-x-2">
                                    <input type="radio" id="delivery_frequency_weekly" name="delivery_frequency" value="7"
                                        <?php echo e(old('delivery_frequency') == '7' ? 'checked' : ''); ?> class="rounded-full border border-[#cf000f]">
                                    <label for="delivery_frequency_weekly">Weekly</label>
                                </div>
                                <div class="flex items-center space-x-2">
                                    <input type="radio" id="delivery_frequency_biweekly" name="delivery_frequency" value="14"
                                        <?php echo e(old('delivery_frequency') == '14' ? 'checked' : ''); ?> class="rounded-full border border-[#cf000f]">
                                    <label for="delivery_frequency_biweekly">Bi-Weekly</label>
                                </div>
                                <div class="flex items-center space-x-2">
                                    <input type="radio" id="delivery_frequency_monthly" name="delivery_frequency" value="30"
                                        <?php echo e(old('delivery_frequency') == '30' ? 'checked' : ''); ?> class="rounded-full border border-[#cf000f]">
                                    <label for="delivery_frequency_monthly">Monthly</label>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="space-y-2">
                    <h1 class="font-bold">Order Placement</h1>
                    <p class="text-sm">Enter product details such as Product Name, Brand/Generic Name, and Strength or Size</p>
                    <textarea class="w-full p-2 rounded-xl border-[#cf000f] p-2 border" name="prescription" id="prescription" placeholder="Enter product here" rows="8"><?php echo e(old('prescription')); ?></textarea>
                </div>
                <div class="grid items-end grid-cols-1 gap-8 md:grid-cols-1">

                    <div class="space-y-2">
                        <h1 class="font-bold">Upload Prescription</h1>
                        <p class="text-sm">
                            Acceptable file types: <span class="font-bold">JPG, JPEG, PNG, PDF,</span> max size: <span class="font-bold">25 mb</span>
                        </p>
                        <div class="border-2 border-dashed rounded-xl py-8 flex justify-center flex-col items-center border-[#cf000f] w-full">
                            <h1 class="text-center text-gray-500">Drag and Drop file <br>or</h1>
                            <button
                                type="button"
                                class="bg-[#cf000f] text-white px-8 py-2 rounded-full"
                                onclick="document.getElementById('prescriptionFileInput').click();">
                                Browse
                            </button>
                            <input
                                id="prescriptionFileInput"
                                type="file"
                                name="upload_prescription"
                                accept=".jpg,.jpeg,.png,.pdf"
                                class="hidden"
                                onchange="previewFile(this, 'prescriptionPreview');" />
                            <div id="prescriptionPreview" class="mt-4"></div>
                        </div>
                    </div>


                     <div class="space-y-2">
                        <h1 class="font-bold">
                            Upload a valid ID or certificate to avail of exclusive discounts for PWD and Senior Citizens.
                        </h1>
                        <p class="text-sm">
                            Acceptable file types: <span class="font-bold">JPG, JPEG, PNG, PDF,</span> max size: <span class="font-bold">25 mb</span>
                        </p>
                        <div class="border-2 border-dashed rounded-xl py-8 flex justify-center flex-col items-center border-[#cf000f] w-full">
                            <h1 class="text-center text-gray-500">Drag and Drop file <br>or</h1>
                            <button
                                type="button"
                                class="bg-[#cf000f] text-white px-8 py-2 rounded-full"
                                onclick="document.getElementById('fileInput').click();">
                                Browse
                            </button>
                            <input
                                id="fileInput"
                                type="file"
                                name="discount_proof"
                                accept=".jpg,.jpeg,.png,.pdf"
                                class="hidden"
                                onchange="previewFile(this, 'idPreview');" />
                            <div id="idPreview" class="mt-4"></div>
                        </div>
                    </div> 


                </div>

                <div class="flex justify-center">
                    <button type="submit" class="bg-[#cf000f] text-white px-8 py-2 rounded-full">Subscribe</button>
                </div>
            </div>
        </form>
    </div>
</div>
<script>
    function previewFile(input, previewContainerId) {
        const previewContainer = document.getElementById(previewContainerId);
        previewContainer.innerHTML = ''; // Clear any existing previews

        if (input.files && input.files[0]) {
            const file = input.files[0];
            const fileType = file.type;
            const fileReader = new FileReader();

            fileReader.onload = function(e) {
                if (fileType.startsWith('image/')) {
                    // Create an image element for image files
                    const img = document.createElement('img');
                    img.src = e.target.result;
                    img.alt = 'Preview';
                    img.classList.add('w-40', 'h-40', 'rounded-lg', 'object-cover');
                    previewContainer.appendChild(img);
                } else if (fileType === 'application/pdf') {
                    // Create a link for PDF files
                    const link = document.createElement('a');
                    link.href = e.target.result;
                    link.target = '_blank';
                    link.textContent = 'View PDF';
                    link.classList.add('text-blue-500', 'underline');
                    previewContainer.appendChild(link);
                } else {
                    // Unsupported file type
                    previewContainer.textContent = 'No preview available for this file type.';
                }
            };

            fileReader.readAsDataURL(file);
        }
    }
</script>

<?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.main-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rwebserver/public_html/gardose/resources/views/subscription.blade.php ENDPATH**/ ?>