<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <?php echo $__env->yieldContent('seo'); ?>
    <?php $__env->startSection('seo'); ?>

     <title> <?php echo $__env->yieldContent('title'); ?> | Gardose Drugstore | Your Trusted Partner for Health and Wellness</title>
    <meta name="description" content="Discover exceptional healthcare products and services at Gardose Drugstore. From prescription medications to eco-friendly wellness solutions, we prioritize your health, sustainability, and community care. Shop now for beauty, supplements, and pet care essentials.">
    <meta name="keywords" content=" Gardose Drugstore, pharmacy chain, healthcare products, prescription medications, vitamins and supplements, beauty and personal care, sustainable pharmacy, eco-friendly health solutions, medical equipment, pet care essentials, holistic health, community health care">

    <!-- Open Graph Meta Tags -->
    <meta property="og:image" content="<?php echo e(asset('images/metas/meta-thumbnail-gardose.webp')); ?>" />
    <meta property="og:thumbnail" content="<?php echo e(asset('images/metas/meta-thumbnail-gardose.webp')); ?>" />
    <meta property="og:image:alt" content="<?php echo e(asset('images/metas/meta-thumbnail-gardose.webp')); ?>">
    <meta property="og:title" content="Gardose Drugstore | Your Trusted Partner for Health and Wellness">
    <meta property="og:description" content="Discover exceptional healthcare products and services at Gardose Drugstore. From prescription medications to eco-friendly wellness solutions, we prioritize your health, sustainability, and community care. Shop now for beauty, supplements, and pet care essentials.">


    <meta property="og:image" content="<?php echo e(asset('images/metas/meta-thumbnail-gardose.webp')); ?>" />
    <meta property="og:thumbnail" content="<?php echo e(asset('images/metas/meta-thumbnail-gardose.webp')); ?>" />
    <meta property="og:image:alt" content="<?php echo e(asset('images/metas/meta-thumbnail-gardose.webp')); ?>">

     <!--Favicon and Icons -->
    <link rel="icon" href="<?php echo e(asset('images/metas/favicon.ico')); ?>" type="image/x-icon">
    <link rel="apple-touch-icon" sizes="180x180" href="<?php echo e(asset('images/metas/apple-touch-icon.png')); ?>">
    <link rel="icon" type="image/png" sizes="32x32" href="<?php echo e(asset('images/metas/favicon-32x32.png')); ?>">
    <link rel="icon" type="image/png" sizes="16x16" href="<?php echo e(asset('images/metas/favicon-16x16.png')); ?>">
    <link rel="icon" type="image/png" sizes="192x192" href="<?php echo e(asset('images/metas/android-chrome-192x192.png')); ?>">
    <link rel="icon" type="image/png" sizes="512x512" href="<?php echo e(asset('images/metas/android-chrome-512x512.png')); ?>">
    <link rel="manifest" href="<?php echo e(asset('images/metas/site.webmanifest')); ?>">
    
    
    
    
    <script src="https://cdn.jsdelivr.net/npm/@splidejs/splide@4.1.4/dist/js/splide.min.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/@splidejs/splide@4.1.4/dist/css/splide.min.css" rel="stylesheet">
    <script src="https://cdn.tailwindcss.com"></script>
    <link href='https://unpkg.com/boxicons@2.1.4/css/boxicons.min.css' rel='stylesheet'>
    <link href="https://unpkg.com/aos@2.3.1/dist/aos.css" rel="stylesheet">
    <script src="https://unpkg.com/aos@2.3.1/dist/aos.js"></script>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Lora:ital,wght@0,400..700;1,400..700&display=swap" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/gh/alpinejs/alpine@v2.x.x/dist/alpine.min.js" defer></script>
    <link href="https://cdn.jsdelivr.net/npm/swiper@11/swiper-bundle.min.css" rel="stylesheet" />
    <script src="https://cdn.jsdelivr.net/npm/swiper@11/swiper-bundle.min.js"></script>
    <style>
        .lora {
            font-family: Verdana, Geneva, sans-serif;
        }

        .swiper-wrapper {
            width: 100%;
            height: max-content !important;

            -webkit-transition-timing-function: linear !important;
            transition-timing-function: linear !important;
            position: relative;
        }

        .swiper-pagination-bullet {
            background: #cf000f;
        }
        
       
    </style>
    <?php echo app('Illuminate\Foundation\Vite')('resources/css/app.css'); ?>
</head>

<body class="lora">


    <?php echo $__env->yieldContent('content'); ?>
    <!-- Include your scripts like AOS.init(), if needed -->
    <script>
        AOS.init();
    </script>

    <?php if(session('success')): ?>
    <div id="successModal" class="fixed inset-0 z-50 flex items-center justify-center ">
        <div class="relative z-50 w-full max-w-lg p-6 text-center bg-white rounded-lg shadow-lg">
            <div class="flex justify-center">
                <img src="<?php echo e(asset('images/shop/icon-check.png')); ?>" alt="">
            </div>
            <p class="mt-2 text-gray-700"><?php echo e(session('success')); ?></p>
            <p class="mt-2 text-gray-700"><?php echo e(session('message')); ?></p>
            <p class="mt-2 text-gray-700"><?php echo e(session('message2')); ?></p>
            <p class="mt-2 text-gray-700"><?php echo e(session('thank you')); ?></p>

            <div class="flex justify-center mt-4">
                <button onclick="closeModal()" class="bg-[#cf000f] text-white flex items-center rounded-full px-20 py-2 text-nowrap">Close</button>
            </div>
        </div>

        <div class="fixed inset-0 z-0 bg-black opacity-80"></div>
    </div>
    <?php endif; ?>

    <script>
        function closeModal() {
            document.getElementById('successModal').style.display = 'none';
        }
        setTimeout(closeModal, 5000);
    </script>


    <style>
        /* Container for the main image */
        .zoom-container {
            position: relative;
            overflow: hidden;
        }

        /* Zoomed image lens that acts as the zoom result */
        .zoom-lens {
            position: absolute;
            border: 3px solid #000;
            background-color: rgba(255, 255, 255, 0.5);
            cursor: none;
            border-radius: 99px;
            /* Hide default cursor */
            width: 150px;
            /* Size of the magnifying glass */
            height: 150px;
            display: none;
            pointer-events: none;
            /* Prevent the lens from interfering with other mouse events */
            background-repeat: no-repeat;
            background-size: 1000% 1000%;
            /* Zoom level */
        }

        /* Main image styling */
        .zoom-container img {
            width: 100%;
            height: auto;
        }
    </style>


    <script>
        function updateMainImage(thumbnail) {
            document.getElementById('main-image').src = thumbnail.src;
        }

        // Add event listeners to trigger the magnifying glass effect
        const zoomContainer = document.querySelector('.zoom-container');
        const mainImage = document.getElementById('main-image');
        const zoomLens = document.getElementById('zoom-lens');

        // Adjust zoom level based on the image size
        mainImage.addEventListener('mouseenter', function() {
            zoomLens.style.display = 'block'; // Show the zoom lens when mouse enters
        });

        zoomContainer.addEventListener('mousemove', function(e) {
            const containerRect = zoomContainer.getBoundingClientRect();
            const x = e.clientX - containerRect.left;
            const y = e.clientY - containerRect.top;

            const lensWidth = zoomLens.offsetWidth;
            const lensHeight = zoomLens.offsetHeight;

            // Move the lens with the cursor
            let lensX = x - lensWidth / 2;
            let lensY = y - lensHeight / 2;

            // Ensure the lens stays within the image
            lensX = Math.max(0, Math.min(lensX, mainImage.offsetWidth - lensWidth));
            lensY = Math.max(0, Math.min(lensY, mainImage.offsetHeight - lensHeight));

            zoomLens.style.left = lensX + 'px';
            zoomLens.style.top = lensY + 'px';

            // Zoom effect: display the zoomed image in the lens
            const zoomScale = 2; // Zoom level, adjust as needed
            const zoomedImage = mainImage;
            zoomLens.style.backgroundImage = `url(${zoomedImage.src})`;
            zoomLens.style.backgroundPosition = `-${lensX * zoomScale}px -${lensY * zoomScale}px`;
            zoomLens.style.backgroundSize = `${zoomedImage.width * zoomScale}px ${zoomedImage.height * zoomScale}px`;
        });

        zoomContainer.addEventListener('mouseleave', function() {
            zoomLens.style.display = 'none'; // Hide the zoom lens when mouse leaves
        });
    </script>




    <script>
        var swiper = new Swiper(".multiple-slide-carousel", {
            loop: true,
            slidesPerView: 1,
            spaceBetween: 20,
            navigation: {
                nextEl: "#slider-button-right",
                prevEl: "#slider-button-left",
            },
            breakpoints: {
                1920: {
                    slidesPerView: 5,
                    spaceBetween: 30
                },
                1028: {
                    slidesPerView: 5,
                    spaceBetween: 30
                },
                720: {
                    slidesPerView: 3,
                    spaceBetween: 0
                }
            }
        });
    </script>

    <script>
        document.addEventListener('DOMContentLoaded', function() {
            // Initialize Splide with loop enabled
            const splide = new Splide('.featured-slide-carousel', {
                type: 'loop', // Enable looping
                perPage: 5,
                gap: 20,
                arrows: false, // Disable default arrows
                pagination: false,
                breakpoints: {
                    1920: {
                        perPage: 5,
                        gap: 30
                    },
                    1028: {
                        perPage: 3,
                        gap: 30
                    },
                    720: {
                        perPage: 1,
                        gap: 0
                    }
                }
            }).mount();
    
            // Add event listeners for custom buttons
            document.getElementById('featured-button-left').addEventListener('click', function() {
                splide.go('<'); // Move to the previous slide
            });
    
            document.getElementById('featured-button-right').addEventListener('click', function() {
                splide.go('>'); // Move to the next slide
            });
        });
    </script>


    <script>
        var swiper = new Swiper(".product-slide-carousel", {
            loop: true,
            slidesPerView: 3,
            spaceBetween: 20,
            breakpoints: {
                1920: {
                    slidesPerView: 4,
                    spaceBetween: 30
                },
                1028: {
                    slidesPerView: 4,
                    spaceBetween: 30
                },
                720: {
                    slidesPerView: 3,
                    spaceBetween: 0
                }
            }
        });
    </script>
</body>

</html><?php /**PATH /home/rwebserver/public_html/gardose/resources/views/layouts/main-app.blade.php ENDPATH**/ ?>