<!-- contact_us.blade.php -->


<?php $__env->startSection('title', 'Rewards'); ?>

<?php $__env->startSection('content'); ?>

<?php echo $__env->make('layouts.navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<div class="bg-gray-100">
    <div class="container max-w-screen-xl py-8 mx-auto space-y-8">
        <div>
            <h1 class="text-xl text-[#cf000f] font-semibold">Your Current Balance</h1>
            <div class="p-4 bg-white rounded-xl">
                <h1 class="font-bold">Reward Points</h1>
                <div class="grid grid-cols-1 gap-8 md:grid-cols-2">
                    <!-- Reward Points and Redeem Balance Section -->
                    <div class="border border-[#cf000f] p-10 rounded space-y-8">
                        <div class="flex items-center justify-between">
                            <div>
                                <h1 class="text-2xl font-bold">
                                    ₱<?php echo e(number_format(Auth::user()->redeem_balance, 2)); ?>

                                </h1>
                                <p class="text-gray-600">Available Balance</p>
                            </div>

                            <div>
                                <h1 class="text-2xl font-bold">
                                    <?php echo e(number_format(Auth::user()->reward_points, 0)); ?>

                                </h1>
                                <p class="text-gray-600">Reward Points</p>
                            </div>

                        </div>
                        <div class="flex justify-end">
                            <form method="POST" action="<?php echo e(route('redeem.points')); ?>">
                                <?php echo csrf_field(); ?>
                                <button type="submit" class="text-white bg-[#cf000f] rounded-full px-8 py-2">
                                    Redeem Points
                                </button>
                            </form>
                        </div>
                    </div>
                    <!-- Information Section -->
                    <div class="flex flex-col justify-center p-10 border-2 border-dashed rounded">
                        <h1 class="text-gray-500">
                            Earn points for every peso you spend.<br>
                            Redeem points for discounts on future purchases.
                        </h1>
                        <h1 class="font-medium">
                            Purchase of <span class="font-bold">₱100.00</span> - 1 point
                        </h1>
                    </div>
                </div>
            </div>
        </div>


        <!-- <div>
            <h1 class="text-xl text-[#cf000f] font-semibold">Your Available Discounts</h1>
            <div class="p-4 space-y-4 bg-white rounded-xl">
                <h1 class="text-xl font-bold">Upload Proof for Special Discounts</h1>
                <div>
                    <p class="text-sm">Upload a valid ID or certificate to avail of exclusive discounts for PWD and Senior Citizens.</p>
                    <p class="text-sm">Acceptable file types: <span class="font-bold">JPG, JPEG, PNG, PDF,</span>max size: <span class="font-bold">25MB</span></p>
                </div>
                <div class="border-2 border-[#cf000f] p-4  space-y-8 border-dashed rounded-xl">
                    <div class="flex flex-col items-center justify-center space-y-4 text-center">
                        <h1 class="text-2xl text-gray-500">Drag and Drop file <br> or</h1>
                        <div class="flex ">
                            <button class="text-white bg-[#cf000f] rounded-full px-8 py-2">Browse</button>
                        </div>
                    </div>
                </div>
            </div>
        </div> -->

        <div class="py-8">
            <div class="p-4 space-y-4 bg-white rounded-xl">
                <h1 class="text-xl font-bold">Active Promo Codes</h1>
                <div class="grid grid-cols-1 gap-4 md:grid-cols-2">
                    <?php $__currentLoopData = $voucher; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vouchers): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="relative">
                        <img class="absolute inset-0 w-full h-full" src="<?php echo e(asset('images/account/coupon.png')); ?>" alt="">
                        <div class="relative p-4 space-y-8 border-dashed rounded-xl">

                            <div class="grid grid-cols-3 ">
                                <div class="flex flex-col justify-center text-center text-white">
                                    <h1 class="text-md lg:text-4xl">
                                        <?php if($vouchers->discount_type === 'percentage'): ?>
                                        <?php echo e($vouchers->discount_value); ?>% <br> OFF
                                        <?php elseif($vouchers->discount_type === 'fixed_amount'): ?>
                                        ₱ <?php echo e(number_format($vouchers->discount_value, 2)); ?> <br> OFF
                                        <?php endif; ?>
                                    </h1>
                                    <p class="text-xs">Valid until <?php echo e($vouchers->created_at->format('F d, Y')); ?></p>
                                </div>
                                <div class="col-span-2 space-y-6 text-xs lg:text-md">
                                    <div class="grid grid-cols-2 px-8 lg:gap-4 lg:grid-cols-2">
                                        <div class="font-medium lg:text-end">
                                            Code:
                                        </div>
                                        <div class="font-bold">
                                            <?php echo e($vouchers->code); ?>

                                        </div>
                                        <div class="col-span-2 font-medium lg:col-span-1 lg:text-end ">
                                            Description:
                                        </div>
                                        <div class="col-span-2 text-gray-500 lg:col-span-1">
                                            <?php echo e($vouchers->description); ?>

                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>



                </div>

                <div class="py-8 text-xl text-center text-gray-500 border-2 border-dashed rounded-xl">
                    Promo codes are limited-time offers. Make sure to apply them before they expire!
                </div>
            </div>
        </div>

    </div>
</div>

<?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.main-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\Markeh\Websites\gardose(12-20-2024)\gardose\resources\views/rewards.blade.php ENDPATH**/ ?>