<div class="space-y-4">
    <form method="GET" action="<?php echo e(url('shop')); ?>" class="p-4 space-y-4 bg-white">
        <div>
            <label for="search">Search</label>
            <div class="relative">
                <input
                type="text"
                name="search"
                placeholder="Type here"
                class="w-full h-full p-2 rounded border border-[#cf000f]"
                value="<?php echo e(request('search')); ?>">
                
                <i class='bx bx-search absolute right-4 top-3 text-[#cf000f]'></i>
            </div>
        
        </div>
        <h1 class="font-semibold text-[#cf000f]">FILTER BY</h1>

        <!-- Category Filter -->
        <div class="space-y-2">
            <div>
                <label for="category">Category</label>
                <select
                    name="category"
                    id="category"
                    class="w-full h-full p-2 rounded border border-[#cf000f]">
                    <option value="">Select Category</option>
                    <?php $__currentLoopData = $category; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option
                        value="<?php echo e($cat->id); ?>"
                        <?php echo e(request('category') == $cat->id ? 'selected' : ''); ?>>
                        <?php echo e($cat->name); ?>

                    </option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>

            <div class="flex flex-wrap gap-2">
                <?php if(request('category')): ?>
                <?php
                // Find the category name based on the selected category ID
                $selectedCategory = $category->firstWhere('id', request('category'));
                ?>
                <?php if($selectedCategory): ?>
                <a href="<?php echo e(url('shop')); ?>" class="flex items-center px-4 py-1 bg-gray-200 rounded">
                    <?php echo e($selectedCategory->name); ?> <i class='bx bx-x text-[#cf000f]'></i>
                </a>
                <?php endif; ?>
                <?php endif; ?>
            </div>
        </div>

        <!-- Brand Filter -->
        <div class="space-y-2">
            <div>
                <label for="brand">Brand</label>
                <select
                    name="brand"
                    id="brand"
                    class="w-full h-full p-2 rounded border border-[#cf000f]">
                    <option value="">Select Brand</option>
                    <?php $__currentLoopData = $brands; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $brand): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option
                        value="<?php echo e($brand->id); ?>"
                        <?php echo e(request('brand') == $brand->id ? 'selected' : ''); ?>>
                        <?php echo e($brand->brand_name); ?>

                    </option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>

            </div>

            <div class="flex flex-wrap gap-2">
                <?php if(request('brand')): ?>
                <?php
                // Find the category name based on the selected category ID
                $selectedbrand = $brand->firstWhere('id', request('brand'));
                ?>
                <?php if($selectedbrand): ?>
                <a href="<?php echo e(url('shop')); ?>" class="flex items-center px-4 py-1 bg-gray-200 rounded">
                    <?php echo e($selectedbrand->brand_name); ?> <i class='bx bx-x text-[#cf000f]'></i>
                </a>
                <?php endif; ?>
                <?php endif; ?>
            </div>
        </div>

        <!-- Price Filter -->
        <div>
            <label>Price Range</label>
            <div class="space-y-2">
                <label>
                    <input
                        type="radio"
                        name="price"
                        value="0-1193"
                        <?php echo e(request('price') == '0-1193' ? 'checked' : ''); ?>>
                    ₱0.00 - ₱1,193.00
                </label><br>
                <label>
                    <input
                        type="radio"
                        name="price"
                        value="1193-2691"
                        <?php echo e(request('price') == '1193-2691' ? 'checked' : ''); ?>>
                    ₱1,193.00 – ₱2,691.00
                </label><br>
                <label>
                    <input
                        type="radio"
                        name="price"
                        value="2691-4793"
                        <?php echo e(request('price') == '2691-4793' ? 'checked' : ''); ?>>
                    ₱2,691.00 –  ₱4,793.00
                </label>
                <br>
                <label>
                    <input
                        type="radio"
                        name="price"
                        value="4793-7591"
                        <?php echo e(request('price') == '4793-7591' ? 'checked' : ''); ?>>
                        ₱4,793.00 –  ₱7,591.00
                </label>
                <br>
                <label>
                    <input
                        type="radio"
                        name="price"
                        value="7591-8489"
                        <?php echo e(request('price') == '7591-8489' ? 'checked' : ''); ?>>
                    ₱7,591.00 –  ₱8,489.00
                </label>
            </div>
        </div>

        <!-- Submit Button -->
        <div class="mt-4">
            <button type="submit" class="w-full p-2 bg-[#cf000f] text-white rounded">
                Apply Filters
            </button>
        </div>
    </form>

    <!-- Promo Banners -->
    <div class="relative">
        <img class="absolute inset-0 w-full h-full" src="<?php echo e(asset('images/homepage/img-promo-banner-3.webp')); ?>" alt="">
        <div class="relative px-8 pt-40 pb-12 space-y-8">
            <h1 class="font-bold text-gray-700">10% off all mobility aids and <br> assistive devices.</h1>
            <h1 class="text-2xl font-semibold">Enhance Your <br> Independence with <br> Our Discount.</h1>
            <div><a href="<?php echo e(url('shop')); ?>">
                    <h1 class="text-lg text-white underline">Shop Now</h1>
                </a></div>

        </div>
    </div>
    <div class="relative">
        <img class="absolute inset-0 w-full h-full" src="<?php echo e(asset('images/homepage/img-promo-banner-4.webp')); ?>" alt="">
        <div class="relative px-8 pt-12 space-y-8 pb-60">
            <button class="bg-[#cf000f] p-2 rounded text-sm text-white">BEST OFFER</button>
            <div>
                <h1 class="text-xl font-bold text-[#cf000f]">FREE SHIPPING</h1>
                <h1 class="text-md">
                    on Your Child's <br> Essential Vitamins
                </h1>
            </div>
            <div><a href="<?php echo e(url('shop')); ?>">
                    <h1 class="underline text-[#cf000f] font-semibold">Shop Now</h1>
                </a></div>

        </div>
    </div>
</div><?php /**PATH /home/rwebserver/public_html/gardose/resources/views/layouts/shop_filter.blade.php ENDPATH**/ ?>